/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */

import request from '@/router/axios'

export function getPackageList(query) {
  return request({
    url: '/admin/api/h5PackagePage',
    method: 'get',
    params: query
  })
}

export function getTaskList(query) {
  return request({
    url: '/admin/api/h5TaskPage',
    method: 'get',
    params: query
  })
}

export function getTaskInfo(query) {
  return request({
    url: '/admin/wmtask/getTaskInfo',
    method: 'get',
    params: query
  })
}



