/*
 *    Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the pig4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: hnqz
 */
import request from '@/router/axios'

// 获取首页-待办事项--调查信息审核 列表
export function toDoList(query) {
	return request({
		url: '/admin/wmtask/pageExtList',
		method: 'get',
		params: query
	})
}

// 待办事项--积分包接包审核
export function integralPackage(query) {
	return request({
		url: '/admin/wmscorepackagestatus/page',
		method: 'get',
		params: query
	})
}

// 待办事项--积分包提交
export function getWmScorePackagePageTask(query) {
	return request({
		url: '/admin/wmscorepackage/getWmScorePackagePageTask',
		method: 'get',
		params: query
	})
}