export const invoiceOption ={
	"align":'center',
	"menuAlign":"center",
	"indexLabel": "序号",
	"index": true,
	"selection": false,
	"border":true,
	"addBtn": false,
	"editBtn":false,
	"delBtn":false,
	"viewBtn":false,
	"menuLeft": false,
	"labelWidth": "120",
  searchMenuSpan: 4,
  searchLabelWidth: '80',
  selection: true,
  selectable:(row,index)=>{
    return row.invoiceStatus ==='NOT_APPLY';
  },

	// "header": false,
	column:[
		{
			type: "input",
			label:'积分包名称',
			prop:'scorePackageName',
		},
		{
			type: "input",
			label:'发包企业',
			prop:'deptName',
      search: true
		},
		{
			type: "input",
			label:'积分包值',
			prop:'score',
		},
		{
      "label": "发布日期",
      "prop": "packageCreateTime",
      searchRange:true,
      searchSpan:10,
      search:true,
      editDisplay: false,
      addDisplay: false,
      type: 'date',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss',
		},
		{
			type: "input",
			label:'接单对象',
			prop:'taskUsers',
		},
		{
			type: "input",
			label:'积分包状态',
			prop:'scorePackageStatus',
      dicUrl: '/admin/dict/type/score_package_status',
		},
		{
			type: "input",
			label:'申请时间',
			prop:'createTime',
		},
		{
			type: "input",
			label:'开票状态',
			prop:'invoiceStatusStr',
		},
		{
			type: "select",
			label:'开票状态',
      hide: true,
      search: true,
			prop:'invoiceStatus',
      dicUrl: '/admin/dict/type/invoice_status',
		},
		{
			type: "input",
			label:'开票时间',
			prop:'invoiceTime',
		},
	]
}


export const tabOption = {
	"align":'center',
	"menuAlign":"center",
	"indexLabel": "序号",
	"index": true,
	"selection": false,
	"border":true,
	"addBtn": false,
	"editBtn":false,
	"delBtn":false,
	"viewBtn":false,
	"menuLeft": false,
	"labelWidth": "120",
  searchMenuSpan: 4,
  searchLabelWidth: '100',
	"header": false,
	column:[
		{
			type: "input",
			label:'开票主体名称',
			prop:'deptName',
      search: true,
		},
		{
			type: "input",
			label:'开票金额（元）',
			prop:'invoiceAmount',
		},
		{
			type: "input",
			label:'关联积分值',
			prop:'relationPackageScore',
		},
		{
			type: "input",
			label:'关联积分包个数',
			prop:'relationPackageNumber',
		},
		{
      "label": "申请时间",
      "prop": "createTime",
      searchRange:true,
      searchSpan:10,
      search:true,
      editDisplay: false,
      addDisplay: false,
      type: 'date',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss',
		},
		{
			type: "select",
			label:'审核状态',
      search: true,
			prop:'approvalStatus',
      dicUrl: '/admin/dict/type/invoice_approval_status',
		},
		{
			type: "input",
			label:'审核时间',
			prop:'approvalTime',
		},
	]
}
