export const taskAuditData = {
  align: 'center',
  menuAlign: 'center',
  indexLabel: '序号',
  index: true,
  selection: true,
  border: true,
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  menuLeft: true,
  searchMenuSpan: 5,
  searchLabelWidth: '90',
  labelWidth: '130',
  header: false,
  // 判断禁用
  selectable: (row, index) => {
    if (row.taskStatus == 2) {
      return true;
    } else {
      return false;
    }
  },
  column: [
    {
      label: '服务编号',
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      prop: 'taskNumber',
      search: true,
      span: 13
    },
    {
      type: 'select',
      label: '服务类型',
      prop: 'taskTypeId',
      span: 13,
      search: true,
      searchslot: true,
      slot: true
    },
    {
      label: '服务分值',
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      prop: 'score',
      span: 13
    },
    {
      type: 'select',
      label: '推广员姓名',
      prop: 'taskUserId',
      dicUrl: '/admin/user/list',
      props: {
        label: 'realname',
        value: 'id'
      }
    },
    {
      label: '完成时间',
      prop: 'lookintoDate',
      span: 13,
      type: 'datetime',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss'
    },

    {
      label: '上一节点审核状态',
      prop: 'taskStatus',
      type: 'select',
      search: true,
      dicUrl: '/admin/dict/type/task_status',
      slot: true
    },
    {
      type: 'input',
      label: '待审批节点',
      prop: 'checkState',
      formatter(row) {
        if (row.checkState) {
          if (row.taskStatus == '4') {
            return '已拒绝';
          }
          return row.checkState.displayInfo;
        }
      }
    },
    {
      type: 'input',
      label: '审批人',
      prop: 'approvalUserName'
    },
    {
      type: 'input',
      label: '服务包名称',
      prop: 'scorePackageName'
    },
    {
      type: 'select',
      label: '服务提供商',
      prop: 'deptId',
      dicUrl: '/admin/dept/list',
      props: {
        label: 'name',
        value: 'dept_id'
      }
    }
    // ,
    // {
    // 	"type": "select",
    // 	"label": "服务企业",
    // 	"prop": "drugEntId",
    // 	dicUrl: '/admin/wmdadrugent/list',
    // 	props: {
    // 		label: 'entname',
    // 		value: 'id'
    // 	},
    // 	span: 13,
    // }
  ]
};
