export const receiptApprovalData = {
	"align":'center',
	"menuAlign":"center",
	"indexLabel": "序号",
	"index": true,
	"selection": false,
	"border":true,
	"addBtn": false,
	"editBtn":false,
	"delBtn":false,
	"viewBtn":false,
	"menuLeft": true,
	"searchMenuSpan": 5,
	"searchLabelWidth": "90",
	"labelWidth": "130",
	"header": false,
	column:[
		{
			type: "input",
			label:'积分包名称',
			prop:'packageId'
		},
		{
			type: "input",
			label:'申请人',
			prop:'userId'
		},
		{
			type: "input",
			label:'申请人姓名',
			prop:'userRealName',
			search: true,
			hide: true
		},
      //   {
      //       type: "input",
			// label:'服务地区',
			// prop:'address'
      //   },
		{
			type: "input",
			label:'申请日期',
			prop:'createTime'
		},
		{
			type: "input",
			label:'联系方式',
			prop:'phone',
			search: true
		},
		{
			type: "input",
			label:'审批结果',
			prop:'status',
			dicUrl: 'admin/dict/type/package_status'
		}
	]

}

export const importErrorTableOption = {
  "align":'center',
  "border":true,
  "addBtn": false,
  "editBtn":false,
  "delBtn":false,
  "viewBtn":false,
  menu: false,
  refreshBtn: false,
  columnBtn: false,
  searchBtn: false,
  column:[
    {
      label:'错误原因',
      prop:'reason'
    },
    {
      label:'错误行序号',
      prop:'index'
    }
  ]
}
