export const taskSettleData = {
	"align":'center',
	"menuAlign":"center",
	"indexLabel": "序号",
	"index": true,
	"selection": false,
	"border":true,
	"addBtn": false,
	"editBtn":false,
	"delBtn":false,
	"viewBtn":false,
	"menuLeft": true,
	"searchMenuSpan": 5,
	"searchLabelWidth": "90",
	"labelWidth": "130",
	column:[
		{
      type: "input",
      label:'任务ID',
      prop:'id',
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay: false,
    },
    {
      type: "input",
      label:'结算单Id',
      prop:'noteId',
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay: false,
    },
    {
      type: "input",
      label:'任务成员Id',
      prop:'taskUserId',
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay: false,
    },
    {
      type: "input",
      label:'任务成员',
      prop:'realName'
    },
    {
      "type": "select",
      "label": "任务类型",
      "prop": "taskTypeId",
      span: 13,
      dicUrl: '/admin/wmtasktype/list',
      props: {
        label: 'taskTypeName',
        value: 'id'
      },
    },
		{
			type: "input",
			label:'项目编号',
			prop:'xmbm'
      },
		{
			type: "input",
			label:'访视阶段',
			prop:'visitStage'
		},
    {
      type: "input",
      label:'预结算金额',
      prop:'settleAmount'
    },
    {
      type: "select",
      label:'发票类目',
      prop:'categoryName',
      slot: true
      // dicData:[
    // { value: 3, label: '现代服务*技术咨询服务费' },
    // { value: 7, label: '现代服务*推广服务费' },
    // { value: 4, label: '现代服务*其他咨询服务费' },
    // { value: 5, label: '现代服务*现场辅助服务费' },
      //   { value: 1,label: '推广服务费' },
      //   { value: 2,label: '营销服务费' },
      //   { value: 3,label: '信息服务费' },
      //   { value: 4,label: '专业技术服务' },
      //   { value: 12,label: '健康咨询服务费' }
      // ],
    },
    {
      "type": "select",
      "label": "结算渠道",
      "prop": "subType",
      span: 13,
      dicUrl: '/admin/dict/type/subject_type',
      search: false,
    },
    {
      type: "input",
      label:'提交时间',
      prop:'subTime'
    },
    {
      type: "input",
      label:'结算时间',
      prop:'notifyTime'
    },
    {
      type: "input",
      label:'状态',
      prop:'settleNoteStatus',
      slot: true
    },
	]

}

export const taskSettleData2 = {
  "align":'center',
  "menuAlign":"center",
  "indexLabel": "序号",
  "index": true,
  "selection": true,
  "border":true,
  "addBtn": false,
  "editBtn":false,
  "delBtn":false,
  "viewBtn":false,
  "menuLeft": true,
  "searchMenuSpan": 5,
  "searchLabelWidth": "90",
  "labelWidth": "130",
  selectable:(row,index)=>{
    if(row.settleNoteStatus == '2' || row.settleNoteStatus == '9'){
      return true;
    }else{
      return false;
    }
  },
  column:[
    {
      type: "input",
      label:'任务ID',
      prop:'id',
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay: false,
    },
    {
      type: "input",
      label:'结算单Id',
      prop:'noteId',
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay: false,
    },
    {
      type: "input",
      label:'任务成员Id',
      prop:'taskUserId',
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay: false,
    },
    {
      type: "input",
      label:'姓名',
      prop:'realName',
      search: true
    },
    {
      label:'手机号',
      prop:'username'
    },
    {
      "type": "select",
      "label": "任务类型",
      "prop": "taskTypeId",
      span: 13,
      dicUrl: '/admin/wmtasktype/list',
      props: {
        label: 'taskTypeName',
        value: 'id'
      },
    },
    {
      type: "input",
      label:'项目编号',
      prop:'xmbm'
    },
    {
      type: "input",
      label:'上传时间',
      prop:'createTime'
    },
    {
      type: "input",
      label:'预结算金额',
      prop:'settleAmount'
    },
    {
      type: "select",
      label:'发票类目',
      prop:'categoryName',
      slot: true
      // dicData:[
    // { value: 3, label: '现代服务*技术咨询服务费' },
    // { value: 7, label: '现代服务*推广服务费' },
    // { value: 4, label: '现代服务*其他咨询服务费' },
    // { value: 5, label: '现代服务*现场辅助服务费' },
      //   { value: 1,label: '推广服务费' },
      //   { value: 2,label: '营销服务费' },
      //   { value: 3,label: '信息服务费' },
      //   { value: 4,label: '专业技术服务' },
      //   { value: 12,label: '健康咨询服务费' }
      // ],
    },
    {
      "type": "select",
      "label": "结算渠道",
      "prop": "subType",
      span: 13,
      dicUrl: '/admin/dict/type/subject_type',
      search: false,
    },
    {
      type: "datetime",
      label:'提交时间',
      prop:'subTime',
      search: true,
      searchRange:true,
      format: 'yyyy-MM-dd',
      valueFormat: 'yyyy-MM-dd HH:mm:ss'
    },
    {
      type: "input",
      label:'结算时间',
      prop:'notifyTime'
    },
    {
      type: "select",
      label:'状态',
      prop:'settleNoteStatus',
      slot: true,
      search: true,
      dicData:[
        { value: 0, label: '未结算' },
        { value: 1, label: '结算成功' },
        { value: 2, label: '结算失败' },
        { value: 3, label: '已提交结算' },
        { value: 9, label: '申请结算' }
      ],
    },
  ]

}

export const taskSettleData3 = {
  "align":'center',
  "menuAlign":"center",
  "indexLabel": "序号",
  "index": true,
  "selection": true,
  "border":true,
  "addBtn": false,
  "editBtn":false,
  "delBtn":false,
  "viewBtn":false,
  "menuLeft": true,
  "searchMenuSpan": 5,
  "searchLabelWidth": "90",
  "labelWidth": "130",
  selectable:(row,index)=>{
    if(row.settleNoteStatus == '2' || row.settleNoteStatus == '9'){
      return true;
    }else{
      return false;
    }
  },
  column:[
    {
      type: "input",
      label:'任务ID',
      prop:'id',
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay: false,
    },
    {
      type: "input",
      label:'姓名',
      prop:'realName',
      search: true
    },
    {
      label:'手机号',
      prop:'username'
    },
    {
      label:'积分包名称',
      prop:'scorePackageName'
    },
    {
      "type": "select",
      "label": "任务类型",
      "prop": "taskTypeId",
      span: 13,
      dicUrl: '/admin/wmtasktype/list',
      props: {
        label: 'taskTypeName',
        value: 'id'
      },
    },
    {
      label:'完成时间',
      prop:'lookintoDate'
    },
    {
      label:'任务积分',
      prop:'score'
    },
    {
      label: "结算渠道",
      prop: "subjectLocationName",
    },
    {
      // type: "select",
      label:'发票类目',
      prop:'categoryName',
      // slot: true
    },
    {
      label:'结算金额',
      prop:'settleAmount'
    },
    {
      label:'实际支付金额',
      prop:'actualAmount'
    },
    {
      type: "select",
      label:'状态',
      prop:'settleNoteStatus',
      slot: true,
      search: true,
      dicData:[
        { value: 0, label: '未结算' },
        { value: 1, label: '结算成功' },
        { value: 2, label: '结算失败' },
        { value: 3, label: '已提交结算' },
        { value: 9, label: '申请结算' }
      ],
    },
    {
      type: "datetime",
      label:'提交时间',
      prop:'subTime',
      search: true,
      searchRange:true,
      valueFormat: 'yyyy-MM-dd HH:mm:ss'
    },
    {
      type: "input",
      label:'下发时间',
      prop:'subToGigTime'
    },
    {
      type: "input",
      label:'到账时间',
      prop:'notifyTime'
    },
  ]
}
