export const tableOption = {
    "border": true,
    "index": true,
    "indexLabel": "序号",
    "stripe": true,
    "menuAlign": "center",
    "align": "center",
    "searchMenuSpan": 6,
    delBtn: false,
    addBtn:false,
    editBtn: false,
    labelWidth: 160,
    selection: true,
    column: [
      {
        type: 'input',
        search: true,
        label: '企业名称',
        prop: 'name',
      },
      {
        type: 'input',
        label: '负责人',
        prop: 'csmNames',
      },
      {
        type: 'input',
        search: true,
        label: '负责人',
        hide: true,
        prop: 'csmName',
      },
      {
        type: 'select',
        search: true,
        label: "企业类型",
        prop: "level",
        dicUrl: '/admin/dict/type/business_type',
        formatter: function (row) {
          return String(row.level);
        },
      },
      {
        type: 'input',
        label: '状态',
        prop: 'delFlagName',
      },
      {
        type: 'input',
        label: '服务截止时间',
        prop: 'expiryDate',
      },
    ]
}
