// 报告导出
export const individualreportexportOption = {
  border: true,
  index: true,
  indexLabel: "序号",
  stripe: true,
  menuAlign: "center",
  align: "center",
  searchMenuSpan: 6,
  editBtn: false,
  delBtn: false,
  addBtn:false,
  selection: true,
  // 判断禁用
  selectable(row){
    return row.ysh > 0
  },
  column: [
    {
      type: "input",
      label: "积分包名称",
      prop: "scorePackageName",
      searchLabelWidth:90,
      maxLengrh: 64,
      search:true,
      span: 13,
    },
    {
      type: "input",
      label: "积分包值",
      prop: "score",
    },
    {
      type: "input",
      label: "发布日期",
      prop: "belongDate",
    },
    {
      type: "input",
      label: "完成日期",
      prop: "packageFinishTime",
    },
    {
      label: "积分包状态",
      prop: "packageFinishStatus",
      type: 'select',
      dicUrl: '/admin/dict/type/package_finish_status',
      span: 13,
      search:true,
      searchLabelWidth:90,
    },
  ]
}
