import store from "@/store";
const deptId = store.getters.userInfo.deptId
export const receiptApprovalData = {
	"align":'center',
	"menuAlign":"center",
	"indexLabel": "序号",
	"index": true,
	"selection": false,
	"border":true,
	"addBtn": false,
	"editBtn":false,
	"delBtn":false,
	"viewBtn":false,
	"menuLeft": true,
	"searchMenuSpan": 5,
	"searchLabelWidth": "90",
	"labelWidth": "130",
	"header": false,
	column:[
    {
      "type": "select",
      "label": "专员名称",
      "prop": "userRealName",
      searchFilterable: true,
      dicUrl: `/admin/user/listNoScopeAll?deptId=${deptId}`,
      hide: true,
      props: {
        label: 'realname',
        value: 'realname'
      }
    },
    {
			type: "input",
			label:'积分包名称',
			prop:'packageId'
		},
    {
      "label": "积分包状态",
      "prop": "status",
      type: 'select',
      dicUrl: '/admin/dict/type/package_status',
      rules: [{
        required: true,
        message: '任务大类',
        trigger: 'blur'
      }]
    },
    {
      "type": "input",
      "label": "发包组织",
      "prop": "deptId",
      dicUrl: '/admin/dept/list',
      props: {
        label: 'name',
        value: 'dept_id'
      },
    },
    {
      label: "接单人",
      prop: "userId"
    },
    {
      "type": "input",
      "label": "提交审核时间",
      "prop": "createTime"
    }
	]
}
