export const tableOptions1 = {
  "align": 'center',
  "menuAlign": "center",
  "indexLabel": "序号",
  "index": true,
  "selection": false,
  "border": true,
  "addBtn": false,
  "editBtn": false,
  "delBtn": false,
  "viewBtn": false,
  "menuLeft": true,
  "searchMenuSpan": 5,
  "searchLabelWidth": "100",
  "labelWidth": "130",
  "header": true,
  column: [
    {
      type: "input",
      label: '积分包名称',
      prop: 'scorePackageName',
      search: true
    },
    {
      type: "input",
      label: '个人预计积分包值',
      prop: 'userScore'
    },
    {
      type: "input",
      label: '任务个数',
      prop: 'taskNum'
    },
    {
      type: "input",
      label: '发布时间',
      prop: 'belongDate'
    },
    {
      type: "select",
      label: '积分包状态',
      search: true,
      prop: 'scorePackageStatus',
      dicUrl: '/admin/dict/type/score_package_status'
    },
    {
      type: "select",
      label:'接包对象',
      prop:'acceptSug',
      search: true,
      dicUrl: "/admin/wmscorepackagestatus/getDeptReceiveUserList",
      props:{
        label: 'realName',
        value: 'userId'
      }
    },
    {
      type: "input",
      label: '预结算渠道',
      prop: 'subType',
      dicUrl: '/admin/dict/type/subject_type'
    },
    {
      type: "input",
      label: '提交结算时间',
      prop: 'settlementDate'
    }
  ]
}

export const tableOptions2 = {
  "align": 'center',
  "menuAlign": "center",
  "indexLabel": "序号",
  "index": true,
  "selection": false,
  "border": true,
  "addBtn": false,
  "editBtn": false,
  "delBtn": false,
  "viewBtn": false,
  "menuLeft": true,
  "searchMenuSpan": 5,
  "searchLabelWidth": "100",
  "labelWidth": "130",
  "header": true,
  column: [
    {
      type: "input",
      label: '积分包名称',
      prop: 'scorePackageName',
      search: true
    },
    {
      type: "input",
      label: '个人预计积分包值',
      prop: 'userScore'
    },
    {
      type: "input",
      label: '任务个数',
      prop: 'taskNum'
    },
    {
      type: "input",
      label: '发布时间',
      prop: 'belongDate'
    },
    {
      type: "select",
      label: '积分包状态',
      search: true,
      prop: 'scorePackageStatus',
      dicUrl: '/admin/dict/type/score_package_status'
    },
    {
      type: "select",
      label:'接包对象',
      prop:'acceptSug',
      search: true,
      dicUrl: "/admin/wmscorepackagestatus/getDeptReceiveUserList",
      props:{
        label: 'realName',
        value: 'userId'
      }
    },
    {
      type: "input",
      label: '预结算渠道',
      prop: 'subType',
      dicUrl: '/admin/dict/type/subject_type'
    },
    {
      type: "input",
      label: '提交结算时间',
      prop: 'settlementDate'
    }
  ]
}
