/**
 * @desc 统计管理-BI报表机构配置
 * @author linyuanjie
 * @date 2022/11/3
 */

export const tableOptions = {
  "align":'center',
  "menuAlign":"center",
  "indexLabel": "序号",
  "index": true,
  "selection": false,
  "border":true,
  "addBtn": false,
  "editBtn":false,
  "delBtn":false,
  "viewBtn":false,
  "header": true,
  searchMenuSpan: 6,
  columnBtn: false, //列显隐按钮
  refreshBtn: false, //刷新按钮
  column:[
    {
      type: "input",
      label: '汇总主体',
      prop: 'rootName'
    },
    {
      type: "input",
      label: '客户名称',
      prop: 'entName',
      search: true
    },
    {
      type: "select",
      label: '客户类别',
      prop: 'entType'
    },
    {
      type: "input",
      label: '产品线',
      prop: 'productLine'
    },
    {
      type: "input",
      label: '层级',
      prop: 'entLevel'
    },
    {
      type: "input",
      label: '结算渠道',
      prop: 'serviceCharges',
      slot: true
    }
  ]
}
