/**
 * @desc
 * @author linyuanjie
 * @date 2021/6/4
 */

export const tableOptions = {
  "align":'center',
  "menuAlign":"center",
  "indexLabel": "序号",
  "index": true,
  "selection": false,
  "border":true,
  "addBtn": false,
  "editBtn":false,
  "delBtn":false,
  "viewBtn":false,
  "menuLeft": true,
  "menu": false,
  "searchMenuSpan": 4,
  "searchLabelWidth": "90",
  // "labelWidth": "130",
  "header": true,
  refreshBtn: false,
  columnBtn: false,
  searchSpan: 5,
  column:[
    {
      type: "input",
      label: '客户名称',
      prop: 'customerName',
      search: true,
      searchSpan: 5
    },
    {
      type: "select",
      label: '客户类别',
      prop: 'customerType',
      search: true,
      searchSpan: 5,
      dicUrl: '/admin/dict/type/customer_type',
      props: {
        label: 'label',
        value: 'value'
      }
    },
    {
      type: "input",
      label: '客户经理',
      prop: 'customerManager',
      search: true,
      searchSpan: 5
    },
    {
      type: "input",
      label: '所属渠道',
      prop: 'channelName'
    },
    {
      type: "select",
      label: '开发进度',
      prop: 'customerStatus',
      search: true,
      searchSpan: 5,
      hide: true,
      dicUrl: '/admin/dict/type/customer_status',
      props: {
        label: 'label',
        value: 'value'
      }
    },
    {
      type: "input",
      label: '客户备案',
      prop: 'temp7',
      slot: true,
      headerslot:true
    },
    {
      type: "input",
      label: '合同立项',
      prop: 'temp8',
      slot: true
    },
    {
      type: "input",
      label: '签约',
      prop: 'temp9',
      slot: true
    },
    {
      type: "input",
      label: '上线',
      prop: 'temp10',
      slot: true
    },
    {
      type: "input",
      label: '备注',
      prop: 'remark'
    }
  ]
}
