/**
 * @desc  文库管理-问卷管理
 * @author linyuanjie
 * @date 2023/10/16
 */

export const optionData = {
  "align":'center',
  "menuAlign":"center",
  "indexLabel": "序号",
  "index": true,
  "selection": false,
  "border":true,
  "addBtn": false,
  "editBtn":false,
  "delBtn":false,
  "viewBtn":false,
  "menuLeft": true,
  "searchMenuSpan": 5,
  "searchLabelWidth": "120",
  "labelWidth": "130",
  "header": true,
  menuWidth: '165',
  columnBtn: false,//列显隐按钮
  refreshBtn: false,//刷新按钮
  column:[
    {
      type: "input",
      label:'试卷标题',
      prop:'title',
      search: true
    },
    {
      label:'题数',
      prop:'itemQty',
      slot: true
    },
    {
      label:'总分',
      prop:'totalMark',
      slot: true
    },
    {
      label:'及格分数',
      prop:'passingMark',
      slot: true
    },
    {
      type: "input",
      label:'状态',
      prop:'state',
      dicUrl: "/admin/dict/type/quiz_state",
      props:{
        label: 'label',
        value: 'value'
      },
    },
    {
      type: "input",
      label:'创建人',
      prop:'createBy'
    },
    {
      type: "input",
      label:'创建时间',
      prop:'createTime',
      search: true,
      searchSpan:10,
      searchslot:true
    }
  ]
}

export const questionBankOptionData = {
  "align":'center',
  "menuAlign":"center",
  "indexLabel": "序号",
  "index": true,
  "selection": false,
  "border":true,
  "addBtn": false,
  "editBtn":false,
  "delBtn":false,
  "viewBtn":false,
  "menuLeft": true,
  "labelWidth": "130",
  "header": true,
  columnBtn: false,//列显隐按钮
  refreshBtn: false,//刷新按钮
  menuWidth: '165',
  column:[
    {
      type: "input",
      label:'试题内容',
      prop:'label'
    },
    {
      type: "input",
      label:'创建人',
      prop:'createBy'
    },
    {
      type: "input",
      label:'创建时间',
      prop:'createTime'
    }
  ]
}

export const selectQuestionBankOptionData = {
  "align":'center',
  "menuAlign":"center",
  "indexLabel": "序号",
  "index": true,
  "selection": true,
  "border":true,
  "addBtn": false,
  "editBtn":false,
  "delBtn":false,
  "viewBtn":false,
  "menuLeft": true,
  "labelWidth": "130",
  "header": true,
  columnBtn: false,//列显隐按钮
  refreshBtn: false,//刷新按钮
  menuWidth: '165',
  column:[
    {
      type: "input",
      label:'试题内容',
      prop:'label',
      search: true,
      searchSpan:10,
    },
    {
      type: "input",
      label:'创建人',
      prop:'createBy'
    },
    {
      type: "input",
      label:'创建时间',
      prop:'createTime',
      search: true,
      searchSpan:14,
      searchslot:true
    }
  ]
}
