export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  addBtn: false,
  editBtn: false,
  "column": [
	  {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "药店名称",
      "prop": "pharmacyName",
      search:true,
    }, {
      "type": "input",
      "label": "医院城市",
      "prop": "provinceTxt",
      span: 13,
      slot: true,
      overHidden: true,
      hide:true,
    },
    {
      "type": "input",
      "label": "省",
      "prop": "province",
      slot: true,
      overHidden: true,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "市",
      "prop": "city",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "区",
      "prop": "area",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "地址",
      "prop": "address",
      span: 20,
      overHidden: true,
    },
        {
      "type": "select",
      "label": "药店类型",
      "prop": "pharmacyType",
      dicUrl: '/admin/dict/type/pharmacy_type',
      props: {
        label: 'label',
        value: 'value'
      },
    },


    {
      "type": "input",
      "label": "经度",
      "prop": "longitude",
      hide:true,
      span: 10,
      rules: [{
        required: true,
        message: '经度不能为空',
        trigger: 'blur'
      }],

    },	  {
      "type": "input",
      "label": "纬度",
      "prop": "latitude",
      hide:true,
      span: 10,
      rules: [{
        required: true,
        message: '纬度不能为空',
        trigger: 'blur'
      }],

    },	  {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "创建时间",
      "prop": "createTime",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "更新时间",
      "prop": "updateTime",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide:true,
      editDisplay: false,
      addDisplay: false
    }  ]
}


export const tableOptionAudit = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  dialogFullscreen:false,
  dialogEscape:false,
  dialogClickModal:false,
  dialogCloseBtn:false,
  dialogWidth:"40%",
  editBtn:false,
  addBtn:false,
  delBtn:false,
  menuPosition:'left',
  "column": [
    {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "药店名称",
      "prop": "pharmacyName"
    }, {
      "type": "input",
      "label": "医院城市",
      "prop": "provinceTxt",
      span: 13,
      formslot: true,
      slot: true,
      overHidden: true,
      hide:true,
    },
    {
      "type": "input",
      "label": "省",
      "prop": "province",
      slot: true,
      overHidden: true,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "市",
      "prop": "city",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "区",
      "prop": "area",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "地址",
      "prop": "address",
      span: 20,
      formslot: true,
      overHidden: true,
    },	  {
      "type": "input",
      "label": "经度",
      "prop": "longitude",
      hide:true,
      span: 10,
      rules: [{
        required: true,
        message: '经度不能为空',
        trigger: 'blur'
      }],

    },	  {
      "type": "input",
      "label": "纬度",
      "prop": "latitude",
      hide:true,
      span: 10,
      rules: [{
        required: true,
        message: '纬度不能为空',
        trigger: 'blur'
      }],

    },	  {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "创建时间",
      "prop": "createTime",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "更新时间",
      "prop": "updateTime",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide:true,
      editDisplay: false,
      addDisplay: false
    }
    ]
}

