export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  addBtn:false,
  editBtn:false,
  delBtn:false,
  viewBtn:true,
  "column": [
	  {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay: false,
    },	  {
      "type": "select",
      "label": "反馈意见用户",
      "prop": "yjUserid",
      dicUrl: '/admin/user/listNoScope',
      editDisabled:true,
      search: true,
      props: {
        label: 'realname',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '反馈意见用户',
        trigger: 'blur'
      }],
    },	  {
      "type": "input",
      "label": "反馈意见内容",
      "prop": "ygContent",
      editDisabled:true,
    },	  {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay: false,
    },	  {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      value:0,
      viewDisplay: false,

    },	  {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      value:0,
      viewDisplay: false,

    },	  {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay: false,


    },	  {
      "type": "input",
      "label": "创建时间",
      "prop": "createTime",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay: false,

    },	  {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay: false,

    },	  {
      "type": "input",
      "label": "更新时间",
      "prop": "updateTime",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay: false,

    },	  {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay: false,

    }  ]
}
