export const tableOption = {
    "border": true,
    "index": true,
    "indexLabel": "序号",
    "stripe": true,
    "align": "center",
    "searchMenuSpan": 7,
    "header": false,
    "column": [
        {
        "type": "input",
        "label": "",
        "prop": "id",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,
      },
      {
        "type": "select",
        "label": "任务分配",
        "prop": "taskRuleId",
        dicUrl: '/admin/wmtaskrule/list',
        props: {
          label: 'ruleMonth',
          value: 'id'
        },
        span: 13,
        search:true,
        rules: [{
          required: true,
          message: '任务分配',
          trigger: 'blur'
        }],

      },
      {
        "type": "select",
        "label": "药企",
        "prop": "drugEntId",
        dicUrl: '/admin/wmdadrugent/list',
        props: {
          label: 'entname',
          value: 'id'
        },
        span: 13,
        search:true,
        rules: [{
          required: true,
          message: '请选择药企',
          trigger: 'blur'
        }],

      },
      {
        "type": "input",
        "label": "积分包ID",
        "prop": "scoreId",
        span: 13,
      },
      {
        "type": "input",
        "label": "积分包名称",
        "prop": "scoreName",
        span: 13,
      },
      {
        "type": "input",
        "label": "积分",
        "prop": "score",
        span: 13,
      },	  {
        "label": "代理商类型",
        "prop": "agentTypeId",
        type: 'select',
        dicUrl: '/admin/dict/type/agent_type',
        span: 13,
      },	  {
        "type": "input",
        "label": "组织机构ID",
        "prop": "deptId",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,

      },	  {
        "type": "select",
        "label": "一级代理商",
        "prop": "level1Id",
        hide:true,
        span: 13,
        dicUrl: '/admin/wmdaagent/list?agentTypeId=1',
        props: {
          label: 'gsmc',
          value: 'id'
        },
      },	  {
        "type": "select",
        "label": "二级代理商",
        "prop": "level2Id",
        hide:true,
        span: 13,
        dicUrl: '/admin/wmdaagent/list?agentTypeId=2',
        props: {
          label: 'gsmc',
          value: 'id'
        },
      },	  {
        "type": "select",
        "label": "众包ID",
        "prop": "zbId",
        span: 13,
        hide:true,
        dicUrl: '/admin/user/list',
        search: true,
        props: {
          label: 'realname',
          value: 'id'
        },
      },
      {
        "label": "分配对象类型",
        "prop": "typeid",
        type: 'select',
        dicUrl: '/admin/dict/type/scorePackageType',
        span: 13,
      },	  {
        "type": "input",
        "label": "组织机构ID",
        "prop": "deptId",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,
      },	  {
        "type": "input",
        "label": "是否删除",
        "prop": "delFlag",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        value:0,
        viewDisplay: false,
      },	  {
        "type": "input",
        "label": "是否禁用",
        "prop": "enableFlag",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        value:0,
        viewDisplay: false,
      },	  {
        "type": "input",
        "label": "所属租户",
        "prop": "tenantId",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,

      },	  {
        "type": "input",
        "label": "创建时间",
        "prop": "createTime",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,

      },	  {
        "type": "input",
        "label": "创建人",
        "prop": "createUser",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,
      },	  {
        "type": "input",
        "label": "更新时间",
        "prop": "updateTime",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,
      },	  {
        "type": "input",
        "label": "更新人",
        "prop": "updateUser",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,
      }  ]
  }



  export const tableOptionFp = {
    "border": true,
    "index": true,
    "indexLabel": "序号",
    "stripe": true,
    "menuAlign": "center",
    "align": "center",
    "searchMenuSpan": 6,
    delBtn:false,
    editBtn:false,
    "column": [
      {
        "type": "input",
        "label": "",
        "prop": "id",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },
      {
        "type": "select",
        "label": "任务分配",
        "prop": "taskRuleId",
        dicUrl: '/admin/wmtaskrule/list',
        props: {
          label: 'ruleMonth',
          value: 'id'
        },
        span: 13,
      hide:true,
    editDisplay: false,
    addDisplay: false,


      },
      {
        "type": "select",
        "label": "分配对象",
        "prop": "level1Id",
        search:true,
        span: 13,
        dicUrl: '/admin/wmdaagent/list?agentTypeId=1',
        props: {
          label: 'gsmc',
          value: 'id'
        },
        rules: [{
          required: true,
          message: '请选择分配对象',
          trigger: 'blur'
        }],
      },
      {
        "type": "select",
        "label": "分配对象",
        "prop": "drugEntId",
        dicUrl: '/admin/wmdadrugent/list',
        props: {
          label: 'entname',
          value: 'id'
        },
        hide:true,
        editDisplay: false,
        addDisplay: false,
        span: 13,
        editDisabled:true
      },
      {
        "type": "input",
        "label": "积分包ID",
        "prop": "scoreId",
        span: 13,
        rules: [{
          required: true,
          message: '积分包ID不能为空',
          trigger: 'blur'
        }],
      },
      {
        "type": "input",
        "label": "积分包名称",
        "prop": "scoreName",
        span: 13,
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },
      {
        "type": "number",
        "label": "积分包值",
        "prop": "score",
        span: 13,
        rules: [{
          required: true,
          message: '积分包值不能为空且必须为数字',
          trigger: 'blur'
        }],
      },
      {
        "type": "input",
        "label": "已提交",
        "prop": "ytj",
        span: 13,
        editDisplay: false,
        addDisplay: false,
      },
      {
        "type": "input",
        "label": "审核通过",
        "prop": "ysh",
        span: 13,
        editDisplay: false,
        addDisplay: false,
      },
      {
        "type": "input",
        "label": "进度(%)",
        "prop": "scoreJd",
        span: 13,
        editDisplay: false,
        addDisplay: false,
      }
      ,	  {
        "label": "代理商类型",
        "prop": "agentTypeId",
        type: 'select',
        dicUrl: '/admin/dict/type/agent_type',
        span: 13,
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "组织机构ID",
        "prop": "deptId",
        hide:true,
        editDisplay: false,
        addDisplay: false,

      },	  {
        "type": "select",
        "label": "二级代理商",
        "prop": "level2Id",
        hide:true,
        span: 13,
        dicUrl: '/admin/wmdaagent/list?agentTypeId=2',
        props: {
          label: 'gsmc',
          value: 'id'
        },
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "select",
        "label": "众包ID",
        "prop": "zbId",
        span: 13,
        hide:true,
        dicUrl: '/admin/user/list',
        props: {
          label: 'realname',
          value: 'id'
        },
        editDisplay: false,
        addDisplay: false,
      },
      {
        "label": "分配对象类型",
        "prop": "typeid",
        type: 'select',
        dicUrl: '/admin/dict/type/scorePackageType',
        span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false,
      },


      {
        "type": "input",
        "label": "组织机构ID",
        "prop": "packageAuditStatus",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },{
        "type": "input",
        "label": "组织机构ID",
        "prop": "deptId",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "是否删除",
        "prop": "delFlag",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        value:0
      },	  {
        "type": "input",
        "label": "是否禁用",
        "prop": "enableFlag",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        value:0
      },	  {
        "type": "input",
        "label": "所属租户",
        "prop": "tenantId",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "创建时间",
        "prop": "createTime",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "创建人",
        "prop": "createUser",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "更新时间",
        "prop": "updateTime",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "更新人",
        "prop": "updateUser",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },{
        "type": "input",
        "label": "是否进行中",
        "prop": "isConduct",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      }   ]
  }



  export const tableOptionFp2 = {
    "border": true,
    "index": true,
    "indexLabel": "序号",
    "stripe": true,
    "menuAlign": "center",
    "align": "center",
    "searchMenuSpan": 6,
     editBtn:false,
    delBtn:false,
    "column": [
      {
        "type": "input",  //0
        "label": "",
        "prop": "id",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },
      {
        "type": "select",  //1
        "label": "任务分配",
        "prop": "taskRuleId",
        dicUrl: '/admin/wmtaskrule/list',
        props: {
          label: 'ruleMonth',
          value: 'id'
        },
        span: 13,
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },
      {
        "type": "number",   //2
        "label": "积分包值",
        "prop": "score",
        span: 13,
        rules: [{
          required: true,
          message: '积分包值不能为空且必须为数字',
          trigger: 'blur'
        }],
      } ,
      {
        "label": "分配对象类型", //3
        "prop": "typeid",
        type: 'select',
        dicUrl: '/admin/dict/filterType?type=scorePackageType1',
        span: 13,
        search:true,
        editDisabled:true,
        rules: [{
          required: true,
          message: '分配对象类型不能为空',
          trigger: 'blur'
        }],
      } ,

      {
        "type": "select",   //4
        "label": "一级代理商",
        "prop": "level1Id",
        editDisplay: false,
        addDisplay: false,
        span: 13,
        dicUrl: '/admin/wmdaagent/listNoScope?agentTypeId=1',
        props: {
          label: 'gsmc',
          value: 'id'
        },
        rules: [{
          required: true,
          message: '请选择分配对象',
          trigger: 'blur'
        }],
      } ,
      {
        "type": "select",   //5
        "label": "二级代理商",
        "prop": "level2Id",
        span: 13,
        editDisplay: false,
        addDisplay: false,
        dicUrl: '/admin/wmdaagent/list?agentTypeId=2',
        props: {
          label: 'gsmc',
          value: 'id'
        },
        search:true,
        rules: [{
          required: true,
          message: '请选择分配对象',
          trigger: 'blur'
        }],
      },	  {
        "type": "select",   //6
        "label": "全职学术推广员",
        "prop": "xxdbId",
        span: 13,
        dicUrl: '/admin/user/list?role=5',
        props: {
          label: 'realname',
          value: 'id'
        },
        editDisplay: false,
        addDisplay: false,
      },

      {
        "type": "select",   //7
        "label": "分配对象",
        "prop": "drugEntId",
        dicUrl: '/admin/wmdadrugent/list',
        props: {
          label: 'entname',
          value: 'id'
        },
        hide:true,
        editDisplay: false,
        addDisplay: false,
        span: 13,
      },
      {
        "type": "input",   //8
        "label": "积分包ID",
        "prop": "scoreId",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        span: 13,
      },
      {
        "type": "input",   //9
        "label": "积分包名称",
        "prop": "scoreName",
        span: 13,
        editDisplay: false,
        addDisplay: false,
        rules: [{
          required: true,
          message: '积分包名称不能为空',
          trigger: 'blur'
        }],
      },
      {
        "type": "input",  //10
        "label": "已提交",
        "prop": "ytj",
        span: 13,
        editDisplay: false,
        addDisplay: false,
      },
      {
        "type": "input",  //11
        "label": "审核通过",
        "prop": "ysh",
        span: 13,
        editDisplay: false,
        addDisplay: false,
      },
      {
        "type": "input",  //12
        "label": "进度(%)",
        "prop": "ywctt",
        span: 13,
        editDisplay: false,
        addDisplay: false,
      }
      ,	  {
        "label": "代理商类型", //13
        "prop": "agentTypeId",
        type: 'select',
        dicUrl: '/admin/dict/type/agent_type',
        span: 13,
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",  //14
        "label": "组织机构ID",
        "prop": "deptId",
        hide:true,
        editDisplay: false,
        addDisplay: false,

      },	  {
        "type": "select",  //15
        "label": "兼职学术推广员",
        "prop": "zbId",
        span: 13,
        hide:true,
        dicUrl: '/admin/user/list?role=6',
        props: {
          label: 'realname',
          value: 'id'
        },
        editDisplay: false,
        addDisplay: false,
      }
      ,	  {
        "type": "input",   //16
        "label": "是否删除",
        "prop": "delFlag",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        value:0
      },
      {
        "type": "input",  //12
        "label": "待审核",
        "prop": "dsh",
        span: 13,
        editDisplay: false,
        addDisplay: false,
      },
      {
        "type": "input",
        "label": "是否禁用",
        "prop": "enableFlag",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        value:0
      },	  {
        "type": "input",
        "label": "所属租户",
        "prop": "tenantId",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "创建时间",
        "prop": "createTime",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "创建人",
        "prop": "createUser",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "更新时间",
        "prop": "updateTime",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "更新人",
        "prop": "updateUser",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },{
        "type": "input",
        "label": "是否进行中",
        "prop": "isConduct",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },{
        "type": "input",
        "label": "剩余可分配积分",
        "prop": "kfpjf",
        hide:true,
        formslot:true,
      }  ]
  }


  export const tableOptionTaskYq = {
    "border": true,
    "index": true,
    "indexLabel": "序号",
    "stripe": true,
    "menuAlign": "center",
    "align": "center",
    "searchMenuSpan": 6,
    editBtn: false,
    delBtn: false,
    addBtn:false,
    "column": [
      {
        "type": "input",
        "label": "",
        "prop": "id",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },
      {
        "type": "input",
        "label": "积分包ID",
        "prop": "scoreId",
        search:true,
        span: 13,
      },
      {
        "type": "select",
        "label": "一级代理商",
        "prop": "level1Id",
        span: 13,
        search:true,
        dicUrl: '/admin/wmdaagent/list?agentTypeId=1',
        props: {
          label: 'gsmc',
          value: 'id'
        },
      },
      {
        "type": "select",
        "label": "下发时间",
        "prop": "taskRuleId",
        dicUrl: '/admin/wmtaskrule/list',
        search:true,
        props: {
          label: 'ruleMonth',
          value: 'id'
        },
        span: 13,
        rules: [{
          required: true,
          message: '下发时间',
          trigger: 'blur'
        }],

      },

      {
        "type": "number",
        "label": "积分包值",
        "prop": "score",
        span: 13,
      },
      {
        "type": "input",
        "label": "已提交总值",
        "prop": "ytj",
        span: 13,
      },
      {
        "label": "积分包状态",
        "prop": "packageFinishStatus",
        type: 'select',
        dicUrl: '/admin/dict/type/package_finish_status',
        search:true,
        span: 13,
        editDisplay: false,
        addDisplay: false,
      },
      {
        "label": "积分包状态",
        "prop": "packageStatus",
        type: 'select',
        dicUrl: '/admin/dict/type/package_finish_status',
        hide:true,
        span: 13,
        editDisplay: false,
        addDisplay: false,
      }
      ,
      {
        "type": "input",
        "label": "审核通过分值",
        "prop": "ysh",
        span: 13,
      },
      {
        "type": "input",
        "label": "待审核分值",
        "prop": "dsh",
        span: 13,
      },
      {
        "type": "input",
        "label": "组织机构ID",
        "prop": "deptId",
        hide:true,
        editDisplay: false,
        addDisplay: false,

      },
      {
        "type": "select",
        "label": "药企",
        "prop": "drugEntId",
        dicUrl: '/admin/wmdadrugent/list',
        props: {
          label: 'entname',
          value: 'id'
        },
        span: 13,
        rules: [{
          required: true,
          message: '请选择药企',
          trigger: 'blur'
        }],
        hide:true,
        editDisplay: false,
        addDisplay: false,

      },
      {
        "type": "input",
        "label": "积分包名称",
        "prop": "scoreName",
        span: 13,
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },
            {
        "label": "代理商类型",
        "prop": "agentTypeId",
        type: 'select',
        dicUrl: '/admin/dict/type/agent_type',
        span: 13,
            hide:true,
            editDisplay: false,
            addDisplay: false,
      },	  {
        "type": "input",
        "label": "组织机构ID",
        "prop": "deptId",
        hide:true,
        editDisplay: false,
        addDisplay: false,

      },
      {
        "type": "select",
        "label": "二级代理商",
        "prop": "level2Id",
        hide:true,
        span: 13,
        dicUrl: '/admin/wmdaagent/list?agentTypeId=2',
        props: {
          label: 'gsmc',
          value: 'id'
        },
      },	  {
        "type": "select",
        "label": "众包ID",
        "prop": "zbId",
        span: 13,
        hide:true,
        editDisplay: false,
        addDisplay: false,
        dicUrl: '/admin/user/list',
        props: {
          label: 'realname',
          value: 'id'
        },
      },
      {
        "label": "分配对象类型",
        "prop": "typeid",
        type: 'select',
        dicUrl: '/admin/dict/type/scorePackageType',
        span: 13,
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "组织机构ID",
        "prop": "deptId",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "是否删除",
        "prop": "delFlag",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        value:0
      },	  {
        "type": "input",
        "label": "是否禁用",
        "prop": "enableFlag",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        value:0
      },	  {
        "type": "input",
        "label": "所属租户",
        "prop": "tenantId",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "创建时间",
        "prop": "createTime",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "创建人",
        "prop": "createUser",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "更新时间",
        "prop": "updateTime",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "更新人",
        "prop": "updateUser",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      }  ]
  }



  export const tableOptionTaskJsx = {
    "border": true,
    "index": true,
    "indexLabel": "序号",
    "stripe": true,
    "menuAlign": "center",
    "align": "center",
    "searchMenuSpan": 6,
    "header": false,
    editBtn: false,
    delBtn: false,
    addBtn:false,
    "column": [
      {
        "type": "input",
        "label": "",
        "prop": "id",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },
      {
        "type": "input",
        "label": "积分包ID",
        "prop": "scoreId",
        search:true,
        span: 13,
      },
      {
        "type": "select",
        "label": "一级代理商",
        "prop": "level1Id",
        search:true,
        span: 13,
        dicUrl: '/admin/wmdaagent/list?agentTypeId=1',
        props: {
          label: 'gsmc',
          value: 'id'
        },
        "searchLabelWidth": "90"
      },

      {
        "type": "number",
        "label": "积分包值",
        "prop": "score",
        span: 13,
      },
      {
        "type": "select",
        "label": "收到时间",
        "prop": "taskRuleId",
        dicUrl: '/admin/wmtaskrule/list',
        props: {
          label: 'ruleMonth',
          value: 'id'
        },
        span: 13,
        search:true,
        rules: [{
          required: true,
          message: '收到时间',
          trigger: 'blur'
        }],

      },
      {
        "label": "积分包状态",
        "prop": "packageFinishStatus",
        type: 'select',
        dicUrl: '/admin/dict/type/package_finish_status',
        span: 13,
        editDisplay: false,
        addDisplay: false,
      },
      {
        "label": "积分包状态",
        "prop": "packageStatus",
        type: 'select',
        dicUrl: '/admin/dict/type/package_finish_status',
        span: 13,
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },
      {
        "type": "input",
        "label": "已提交总值",
        "prop": "ytj",
        span: 13,
      }
      ,
      {
        "type": "input",
        "label": "审核分值",
        "prop": "ysh",
        span: 13,
      },
      // {
      //   "type": "input",
      //   "label": "进度(%)",
      //   "prop": "dsh",
      //   span: 13,
      // },
      {
        "type": "input",
        "label": "组织机构ID",
        "prop": "deptId",
        hide:true,
        editDisplay: false,
        addDisplay: false,

      },
      {
        "type": "select",
        "label": "药企",
        "prop": "drugEntId",
        dicUrl: '/admin/wmdadrugent/list',
        props: {
          label: 'entname',
          value: 'id'
        },
        span: 13,
        rules: [{
          required: true,
          message: '请选择药企',
          trigger: 'blur'
        }],
        hide:true,
        editDisplay: false,
        addDisplay: false,

      },
      {
        "label": "代理商类型",
        "prop": "agentTypeId",
        type: 'select',
        dicUrl: '/admin/dict/type/agent_type',
        span: 13,
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "组织机构ID",
        "prop": "deptId",
        hide:true,
        editDisplay: false,
        addDisplay: false,

      },
      {
        "type": "select",
        "label": "二级代理商",
        "prop": "level2Id",
        hide:true,
        span: 13,
        dicUrl: '/admin/wmdaagent/list?agentTypeId=2',
        props: {
          label: 'gsmc',
          value: 'id'
        },
      },	  {
        "type": "select",
        "label": "众包ID",
        "prop": "zbId",
        span: 13,
        hide:true,
        editDisplay: false,
        addDisplay: false,
        dicUrl: '/admin/user/list',
        props: {
          label: 'realname',
          value: 'id'
        },
      },
      {
        "label": "分配对象类型",
        "prop": "typeid",
        type: 'select',
        dicUrl: '/admin/dict/type/scorePackageType',
        span: 13,
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "组织机构ID",
        "prop": "deptId",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "是否删除",
        "prop": "delFlag",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        value:0
      },	  {
        "type": "input",
        "label": "是否禁用",
        "prop": "enableFlag",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        value:0
      },	  {
        "type": "input",
        "label": "所属租户",
        "prop": "tenantId",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "创建时间",
        "prop": "createTime",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "创建人",
        "prop": "createUser",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "更新时间",
        "prop": "updateTime",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      },	  {
        "type": "input",
        "label": "更新人",
        "prop": "updateUser",
        hide:true,
        editDisplay: false,
        addDisplay: false,
      }  ]
  }




  export const tableOptionZb = {
    "border": true,
    "index": true,
    "indexLabel": "序号",
    "stripe": true,
    "menuAlign": "center",
    "align": "center",
    "searchMenuSpan": 6,
    viewBtn:true,
    "column": [
      {
        "type": "input",
        "label": "",
        "prop": "id",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,
      },
      {
        "type": "input",
        "label": "积分包名称",
        "prop": "scoreName",
        search:true,
        span: 13,
      },
      {
        "type": "input",
        "label": "积分",
        "prop": "score",
        span: 13,
      },
      {
        "type": "select",
        "label": "积分包分配时间",
        "prop": "taskRuleId",
        dicUrl: '/admin/wmtaskrule/listZb',
        props: {
          label: 'ruleMonth',
          value: 'id'
        },
        span: 13,
        search:true,
        rules: [{
          required: true,
          message: '积分包分配时间',
          trigger: 'blur'
        }],
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,
      },
      {
        "type": "select",
        "label": "药企",
        "prop": "drugEntId",
        dicUrl: '/admin/wmdadrugent/listScope',
        props: {
          label: 'entname',
          value: 'id'
        },
        span: 13,
        search:true,
        rules: [{
          required: true,
          message: '请选择药企',
          trigger: 'blur'
        }],

      },
      {
        "type": "input",
        "label": "积分包ID",
        "prop": "scoreId",
        span: 13,
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,
      },
      {
        "label": "代理商类型",
        "prop": "agentTypeId",
        type: 'select',
        dicUrl: '/admin/dict/type/agent_type',
        span: 13,
      },	  {
        "type": "input",
        "label": "组织机构ID",
        "prop": "deptId",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,

      },	  {
        "type": "select",
        "label": "发包组织一级代理商",
        "prop": "level1Id",
        span: 13,
        dicUrl: '/admin/wmdaagent/listNoScope?agentTypeId=1',
        props: {
          label: 'gsmc',
          value: 'id'
        },
      },	  {
        "type": "select",
        "label": "发包组织二级代理商",
        "prop": "level2Id",
        span: 13,
        dicUrl: '/admin/wmdaagent/listNoScope?agentTypeId=2',
        props: {
          label: 'gsmc',
          value: 'id'
        },
      },	  {
        "type": "select",
        "label": "接包人",
        "prop": "zbId",
        span: 13,
        dicUrl: '/admin/user/listNoScope',
        search: true,
        props: {
          label: 'realname',
          value: 'id'
        },
      },
            {
        "type": "input",
        "label": "接包时间",
        "prop": "createTime",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,

      },
      {
        "label": "积分包状态",
        "prop": "packageStatus",
        type: 'select',
        dicUrl: '/admin/dict/type/package_status',
        span: 13,
        editDisplay: false,
        addDisplay: false,
      },

      {
        "label": "分配对象类型",
        "prop": "typeid",
        type: 'select',
        dicUrl: '/admin/dict/type/scorePackageType',
        span: 13,
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,
      },	  {
        "type": "input",
        "label": "组织机构ID",
        "prop": "deptId",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,
      },	  {
        "type": "input",
        "label": "是否删除",
        "prop": "delFlag",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        value:0,
        viewDisplay: false,
      },	  {
        "type": "input",
        "label": "是否禁用",
        "prop": "enableFlag",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        value:0,
        viewDisplay: false,
      },	  {
        "type": "input",
        "label": "所属租户",
        "prop": "tenantId",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,

      },	  {
        "type": "input",
        "label": "创建人",
        "prop": "createUser",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,
      },	  {
        "type": "input",
        "label": "更新时间",
        "prop": "updateTime",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,
      },	  {
        "type": "input",
        "label": "更新人",
        "prop": "updateUser",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,
      }  ]
  }




  export const tableOptionPlatTotal = {
    "border": true,
    "index": true,
    "indexLabel": "序号",
    "stripe": true,
    "menuAlign": "center",
    "align": "center",
    "searchMenuSpan": 6,
    viewBtn:true,
    editBtn:false,
    addBtn:false,
    delBtn:false,
    "column": [
      {
        "type": "input",
        "label": "",
        "prop": "id",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,
      }, {
        search:true,
        hide:true,
        viewDisplay: false,
        searchSpan:12,
        searchRange:true,
        label: '统计时间',
        prop: 'dates',
        type: 'datetime',
        format: 'yyyy-MM-dd',
        editDisabled: true,
        addDisplay: false
      },	   {
        "type": "select",
        "label": "药企",
        "prop": "drugEntId",
        dicUrl: '/admin/wmdadrugent/listScope',
        props: {
          label: 'entname',
          value: 'id'
        },
        span: 13,
        hide:true,
        search:true,
        viewDisplay: false,

      },  {
        "type": "select",
        "label": "代理商",
        "prop": "level1Id",
        hide:true,
        search:true,
        span: 13,
        dicUrl: '/admin/wmdaagent/listNoScope?agentTypeId=1',
        props: {
          label: 'gsmc',
          value: 'id'
        },
        viewDisplay: false,
      }	,  {
        "type": "input",
        "label": "更新时间",
        "prop": "updateTime",
        hide:true,
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,
      },{
        "type": "input",
        "label": "药企已下发任务量",
        "prop": "score_drugent",
        editDisplay: false,
        addDisplay: false,
        span:16
      },{
        "type": "input",
        "label": "CSO已下发任务总量",
        "prop": "score_agent",
        editDisplay: false,
        addDisplay: false,
        span:16
      },{
        "type": "input",
        "label": "CSO下发给医代任务量",
        "prop": "score_yydb",
        editDisplay: false,
        addDisplay: false,
        viewDisplay: false,
        span:16
      },{
        "type": "input",
        "label": "医药代表完成任务量",
        "prop": "score_yydb_finish",
        editDisplay: false,
        addDisplay: false,
        span:16
      },{
        "type": "input",
        "label": "CSO下发给众包代表任务量",
        "prop": "score_zbdb",
        editDisplay: false,
        addDisplay: false,
        span:16
      },{
        "type": "input",
        "label": "众包代表完成任务量",
        "prop": "score_zbdb_finish",
        editDisplay: false,
        addDisplay: false,
        span:16
      },{
        "type": "input",
        "label": "CSO下发给二代任务量",
        "prop": "score_csoxf",
        editDisplay: false,
        addDisplay: false,
        span:16
      },{
        "type": "input",
        "label": "二代已完成任务量",
        "prop": "score_edwc",
        editDisplay: false,
        addDisplay: false,
        span:16
      },{
        "type": "input",
        "label": "医药代表数量（人）",
        "prop": "user_xxdb",
        editDisplay: false,
        addDisplay: false,
        span:16
      },{
        "type": "input",
        "label": "众包代表数量（人）",
        "prop": "user_zbdb",
        editDisplay: false,
        addDisplay: false,
        span:16
      } ]
  }
