/*
 *    Copyright (c) 2018-2025, gaoyang All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the hn3l.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: gaoyang (gaoyang@gmail.com)
 */

export const tableOption = {
  border: true,
  index: true,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  editBtn: false,
  delBtn: false,
  addBtn: false,
  dic: [],
  column: [
	  {
      label: '',
      prop: 'id'
    },
	  {
      label: '是否做过体质辨识体检',
      prop: 'isTzbs'
    },
	  {
      label: '体制辨识字符串',
      prop: 'tzbsStr'
    },
	  {
      label: '是否 舌诊',
      prop: 'isSz'
    },
	  {
      label: '舌诊字符串',
      prop: 'szStr'
    },
	  {
      label: '是否脉诊',
      prop: 'isMz'
    },
	  {
      label: '脉诊字符串',
      prop: 'mzStr'
    },
	  {
      label: '是否面诊',
      prop: 'isMianz'
    },
	  {
      label: '面诊字符串',
      prop: 'mianz'
    },
	  {
      label: '是否自助诊疗',
      prop: 'isZzzl'
    },
	  {
      label: '自助诊疗字符串',
      prop: 'zzzlStr'
    },
  ]
}
