const getters = {
  tag: state => state.tags.tag,
  website: state => state.common.website,
  specialPath: state => state.common.specialPath,
  portalConfig: state => state.common.portalConfig,
  currentPortalConfig: (state, getters) => {
    return (
      (getters.specialPath && getters.portalConfig[getters.specialPath]) ||
      getters.portalConfig.default
    );
  },
  isPageLoading: state => state.common.isPageLoading,
  userInfo: state => state.user.userInfo,
  theme: state => state.common.theme,
  themeName: state => state.common.themeName,
  isShade: state => state.common.isShade,
  isCollapse: state => state.common.isCollapse,
  keyCollapse: (state, getters) =>
    getters.screen > 1 ? getters.isCollapse : false,
  screen: state => state.common.screen,
  isLock: state => state.common.isLock,
  isFullScreen: state => state.common.isFullScreen,
  lockPasswd: state => state.common.lockPasswd,
  tagList: state => state.tags.tagList,
  tagWel: state => state.tags.tagWel,
  access_token: state => state.user.access_token,
  refresh_token: state => state.user.refresh_token,
  expires_in: state => state.user.expires_in,
  settleCaptcha: state => state.user.settleCaptcha,
  roles: state => state.user.roles,
  permissions: state => state.user.permissions,
  menu: state => state.user.menu,
  menuAll: state => state.user.menuAll,
  logsList: state => state.logs.logsList,
  logsLen: state => state.logs.logsList.length || 0,
  logsFlag: (state, getters) => getters.logsLen === 0,
  patientEduType: state => state.task.patientEduType || "",
  integral: state => state.user.integral,
  accountExpiry: state => state.user.accountExpiry,
  changePasswordShow: state => state.user.changePasswordShow
};
export default getters;
