/**
 * @desc 结算相关
 * @author linyuanjie
 * @date 2022/5/18
 */

export const invoiceMap = {
  0: {
    3: '现代服务*技术咨询服务费',
    7: '现代服务*推广服务费',
    4: '现代服务*其他咨询服务费',
    5: '现代服务*现场辅助服务费'
  },
  1: {
    1: '推广服务费',
    2: '营销服务费',
    3: '信息服务费',
    // 4: '专业技术服务'
  },
  2: {
    15: '设计服务',
    40: '市场推广'
  },
  3: {}
}

export const invoiceDictMap = {
  0: [
    { value: 3, label: '现代服务*技术咨询服务费' },
    { value: 7, label: '现代服务*推广服务费' },
    { value: 4, label: '现代服务*其他咨询服务费' },
    { value: 5, label: '现代服务*现场辅助服务费' }
  ],
  1: [
    { value: 1, label: '推广服务费' },
    { value: 2, label: '营销服务费' },
    { value: 3, label: '信息服务费' },
    // { value 4, label: '专业技术服务' }
  ],
  2: [
    { value: 15, label: '设计服务' },
    { value: 40, label: '市场推广' }
  ],
  3: []
}

export const subjectTypeMap = {
  '0': 'renlijia', // 人力家
  '1': 'tax_helper', // 税邦云
  '2': 'olading', // 自由职家
  '3': 'yee', // 易联
  '4': 'olading_jinyuan',
  '5': 'olading_henan',
  '12': 'olading_zhaoyu'
}
