export const integralOption = {
  align: "center",
  menuAlign: "center",
  indexLabel: "序号",
  index: true,
  selection: false,
  border: true,
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  menuLeft: true,
  searchMenuSpan: 5,
  searchLabelWidth: "90",
  labelWidth: "130",
  header: false,
  column: [
    {
      type: "input",
      label: "企业名称",
      prop: "deptName",
      search: true
    },
    {
      hide: true,
      type: "select",
      label: "企业类型",
      prop: "deptLevel",
      dicUrl: "/admin/dict/type/recharge_dept_level",
      search: true,
      props: {
        label: "label",
        value: "value"
      }
    },
    {
      type: "input",
      label: "企业类型",
      prop: "deptLevelStr"
    },
    {
      type: "input",
      label: "积分余额",
      prop: "score"
    },
    {
      type: "input",
      label: "可透支额度",
      prop: "overdrawScore"
    },
    {
      type: "input",
      label: "累计充值积分",
      prop: "totalRechargeScore"
    }
    // {
    //   type: "input",
    //   label: "累计开票积分",
    //   prop: "totalInvoiceScore"
    // },
    // {
    //   type: "input",
    //   label: "累计开票金额（元）",
    //   prop: "totalInvoiceAmount"
    // }
  ]
};

export const recordingOption = {
  align: "center",
  menuAlign: "center",
  indexLabel: "序号",
  index: true,
  selection: false,
  border: true,
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  menu: false,
  menuLeft: false,
  labelWidth: "130",
  header: false,
  column: [
    {
      type: "input",
      label: "充值企业",
      prop: "deptName"
    },
    {
      type: "input",
      label: "企业类型",
      prop: "deptLevelStr"
    },
    // {
    // 	type: "input",
    // 	label:'充值金额（元）',
    // 	prop:'changeAmount',
    // },
    {
      type: "input",
      label: "充值积分",
      prop: "changeScore"
    },
    {
      type: "input",
      label: "充值后积分余额",
      prop: "currentScore"
    },
    {
      type: "input",
      label: "充值时间",
      prop: "createTime"
    },
    {
      type: "input",
      label: "操作人",
      prop: "creaUserStr"
    }
  ]
};
