/**
 * @desc
 * @author linyuanjie
 * @date 2021/6/22
 */

export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  "addBtn": false,
  "editBtn": false,
  "delBtn": false,
  "viewBtn": false,
  "column": [
    {
      type: "input",
      label: "",
      prop: "id",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      viewDisplay:false,
    },
    {
      type: "input",
      label: "项目编号",
      prop: "projectNumber",
      span: 12
    },
    {
      type: "input",
      label: "项目名称",
      prop: "projectName",
      labelWidth: '120',
      span: 12,
      search: true
    },
    {
      type: "input",
      label: "委托方",
      prop: "delegate",
      span: 12,
      search: true
    },
    {
      label: "项目签约时间",
      labelWidth: '120',
      prop: "signTime",
      type: 'datetime',
      span: 12,
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss'
    },
    {
      label: "归档时间",
      prop: "updateTime",
      type: 'datetime',
      span: 12,
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss'
    },
    {
      type: "input",
      label: "备注",
      prop: "remark",
      span: 13,
    }
  ]
}
