export const allotPointsData = {
  align: "center",
  menuAlign: "center",
  indexLabel: "序号",
  index: true,
  selection: false,
  border: true,
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  menuLeft: true,
  searchMenuSpan: 5,
  searchLabelWidth: "120",
  labelWidth: "130",
  header: true,
  menuWidth: "165",
  column: [
    {
      type: "input",
      label: "执行包名称/编号",
      prop: "scorePackageName",
      search: true,
      hide: true
    },
    {
      type: "input",
      label: "执行包名称",
      prop: "scorePackageName1",
      // search: true,
      minWidth: 82,
      slot: true
    },
    // {
    // 	type: "input",
    // 	label:'积分包类型',
    // 	prop:'packageType1'
    // },
    {
      type: "input",
      label: "服务总值",
      prop: "score"
    },
    {
      type: "input",
      label: "发布日期",
      prop: "belongDate"
    },
    {
      type: "input",
      label: "承接对象",
      prop: "userList",
      dicUrl: "/admin/user/list/available",
      props: {
        label: "realname",
        value: "id"
      }
    },
    //   {
    // type: "select",
    // label:'执行包状态',
    // prop:'packageFinishStatus',
    // search: true,
    // dicUrl: '/admin/dict/type/package_finish_status'
    //   },
    {
      type: "select",
      label: "执行包状态",
      search: true,
      prop: "scorePackageStatus",
      dicUrl: "/admin/dict/type/score_package_status"
    },
    {
      type: "input",
      label: "完成服务分值",
      prop: "ysh"
    },
    {
      type: "input",
      label: "完成百分比(%)",
      prop: "yshtt"
    },
    {
      type: "input",
      label: "审核通过服务分值",
      prop: "shtg"
    },
    {
      type: "input",
      label: "审核通过百分比(%)",
      prop: "shtgtt"
    },
    // {
    //   type: "input",
    //   label: "提交时间",
    //   prop: "settlementDate"
    // },
    // {
    //   type: "input",
    //   label:'下发时间',
    //   prop:'subToGigTime'
    // },
    // {
    //   type: "input",
    //   label:'到账时间',
    //   prop:'notifyDate'
    // },
    // {
    //   type: "input",
    //   label:'到账金额',
    //   prop:'settleAmount'
    // },
    {
      type: "input",
      label: "关联执行包名称",
      search: true,
      prop: "relationScoreId"
    },
    {
      type: "input",
      label: "有效服务类型",
      prop: "taskTypes",
      slot: true
    },
    {
      type: "input",
      label: "承接对象范围",
      prop: "packageUserScopeName"
    },
    {
      type: "select",
      label: "承接对象范围",
      prop: "packageUserScope",
      search: true,
      hide: true,
      dicUrl: "/admin/wmscorepackage/list-package-user-scope",
      props: {
        label: "name",
        value: "id"
      }
    },
    {
      type: "select",
      label: "承接对象类型",
      prop: "typeid",
      search: true,
      dicUrl: "/admin/dict/type/typeid_personal"
    },
    {
      type: "input",
      label: "承接对象",
      prop: "acceptUser",
      search: true,
      hide: true
    },
    {
      label: "发布日期",
      prop: "publishDate",
      span: 13,
      searchSpan: 10,
      search: true,
      searchslot: true,
      hide: true
    }
  ]
};

export const importErrorTableOption = {
  align: "center",
  border: true,
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  menu: false,
  refreshBtn: false,
  columnBtn: false,
  searchBtn: false,
  column: [
    {
      label: "错误原因",
      prop: "reason"
    },
    {
      label: "错误行序号",
      prop: "line"
    }
  ]
};

export const teamPointsData = {
  align: "center",
  menuAlign: "center",
  indexLabel: "序号",
  index: true,
  selection: false,
  border: true,
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  menuLeft: true,
  searchMenuSpan: 5,
  searchLabelWidth: "100",
  labelWidth: "130",
  header: true,
  menuWidth: "165",
  column: [
    {
      type: "input",
      label: "执行包名称",
      prop: "scorePackageName",
      search: true,
      minWidth: 82
    },
    // {
    // 	type: "input",
    // 	label:'积分包类型',
    // 	prop:'packageType1'
    // },
    {
      type: "input",
      label: "服务总值",
      prop: "score"
    },
    {
      type: "input",
      label: "发布日期",
      prop: "belongDate"
    },
    {
      type: "input",
      label: "承接对象",
      prop: "userList",
      dicUrl: "/admin/user/list/available",
      props: {
        label: "realname",
        value: "id"
      }
    },
    //   {
    // type: "select",
    // label:'执行包状态',
    // prop:'packageFinishStatus',
    // search: true,
    // dicUrl: '/admin/dict/type/package_finish_status'
    //   },
    {
      type: "select",
      label: "执行包状态",
      search: true,
      prop: "scorePackageStatus",
      dicUrl: "/admin/dict/type/score_package_status"
    },
    {
      type: "input",
      label: "完成服务分值",
      prop: "ysh"
    },
    {
      type: "input",
      label: "完成百分比(%)",
      prop: "yshtt"
    },
    {
      type: "input",
      label: "审核通过服务分值",
      prop: "shtg"
    },
    {
      type: "input",
      label: "审核通过百分比(%)",
      prop: "shtgtt"
    },
    // {
    //   type: "input",
    //   label:'提交时间',
    //   prop:'settlementDate'
    // },
    // {
    //   type: "input",
    //   label:'下发时间',
    //   prop:'subToGigTime'
    // },
    // {
    //   type: "input",
    //   label:'到账时间',
    //   prop:'notifyDate'
    // },
    {
      type: "input",
      label: "关联执行包名称",
      prop: "relationScoreId"
    },
    {
      type: "input",
      label: "有效服务类型",
      prop: "taskTypes",
      slot: true
    },
    {
      type: "input",
      label: "承接对象范围",
      prop: "packageUserScopeName"
    },
    {
      type: "select",
      label: "承接对象类型",
      prop: "typeid",
      search: true,
      dicUrl: "/admin/dict/type/typeid"
    },
    {
      type: "input",
      label: "承接对象",
      prop: "acceptUser",
      search: true,
      hide: true
    },
    {
      label: "发布日期",
      prop: "publishDate",
      span: 13,
      searchSpan: 10,
      search: true,
      searchslot: true,
      hide: true
    }
  ]
};

export const splitOption = {
  menu: false,
  menuLeft: true,
  align: "center",
  menuAlign: "center",
  indexLabel: "序号",
  index: true,
  selection: true,
  border: true,
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  searchMenuSpan: 5,
  searchLabelWidth: "80",
  labelWidth: "130",
  column: [
    {
      type: "select",
      label: "任务类型",
      prop: "taskTypeId",
      span: 13,
      search: true,
      searchslot: true,
      slot: true
    },
    {
      label: "任务积分",
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      prop: "score",
      span: 13
    },
    {
      type: "select",
      label: "姓名",
      prop: "taskUserId",
      dicUrl: "/admin/user/list",
      props: {
        label: "realname",
        value: "id"
      }
    },
    {
      label: "完成时间",
      prop: "lookintoDate",
      span: 13,
      type: "datetime",
      format: "yyyy-MM-dd HH:mm:ss",
      valueFormat: "yyyy-MM-dd HH:mm:ss"
    },
    {
      label: "任务状态",
      prop: "taskStatus",
      type: "select",
      dicUrl: "/admin/dict/type/task_status"
    },

    {
      type: "select",
      label: "执行包名称",
      prop: "scorePackageId",
      span: 13,
      dicUrl: "/admin/wmscorepackage/list",
      props: {
        label: "scoreName",
        value: "id"
      }
    },
    {
      type: "select",
      label: "所属组织",
      prop: "deptId",
      dicUrl: "/admin/dept/list",
      props: {
        label: "name",
        value: "dept_id"
      }
    }
  ]
};

export const otherOptionData = {
  align: "center",
  menuAlign: "center",
  indexLabel: "序号",
  index: true,
  selection: false,
  border: true,
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  menuLeft: true,
  searchMenuSpan: 5,
  searchLabelWidth: "120",
  labelWidth: "130",
  header: true,
  menuWidth: "165",
  column: [
    {
      type: "input",
      label: "执行包名称/编号",
      prop: "scorePackageName",
      search: true,
      hide: true
    },
    {
      type: "input",
      label: "执行包名称",
      prop: "scorePackageName1",
      minWidth: 82,
      slot: true
    },
    {
      type: "input",
      label: "服务总值",
      prop: "score"
    },
    {
      type: "input",
      label: "发布日期",
      prop: "belongDate"
    },
    {
      type: "input",
      label: "承接对象",
      prop: "userList",
      dicUrl: "/admin/user/list/available",
      props: {
        label: "realname",
        value: "id"
      }
    },
    {
      type: "select",
      label: "执行包状态",
      search: true,
      prop: "scorePackageStatus",
      dicUrl: "/admin/dict/type/score_package_status"
    },
    {
      type: "input",
      label: "完成服务分值",
      prop: "ysh"
    },
    {
      type: "input",
      label: "完成百分比(%)",
      prop: "yshtt"
    },
    {
      type: "input",
      label: "审核通过服务分值",
      prop: "shtg"
    },
    {
      type: "input",
      label: "审核通过百分比(%)",
      prop: "shtgtt"
    },
    // {
    //   type: "input",
    //   label: "提交时间",
    //   prop: "settlementDate"
    // },
    {
      type: "input",
      label: "下发时间",
      prop: "subToGigTime"
    },
    {
      type: "input",
      label: "到账时间",
      prop: "notifyDate"
    },
    {
      type: "input",
      label: "关联执行包名称",
      search: true,
      prop: "relationScoreId"
    },
    {
      type: "input",
      label: "有效服务类型",
      prop: "taskTypes",
      slot: true
    },
    {
      type: "input",
      label: "承接对象范围",
      prop: "packageUserScopeName"
    },
    {
      type: "select",
      label: "承接对象类型",
      prop: "typeid",
      search: true,
      dicUrl: "/admin/dict/type/typeid_personal"
    },
    {
      type: "input",
      label: "承接对象",
      prop: "acceptUser",
      search: true,
      hide: true
    },
    {
      label: "发布日期",
      prop: "publishDate",
      span: 13,
      searchSpan: 10,
      search: true,
      searchslot: true,
      hide: true
    }
  ]
};
