export const taskAuditData = {
	"align": 'center',
	"menuAlign": "center",
	"indexLabel": "序号",
	"index": true,
	"selection": true,
	"border": true,
	"addBtn": false,
	"editBtn": false,
	"delBtn": false,
	"viewBtn": false,
	"menuLeft": true,
	"searchMenuSpan": 5,
	"searchLabelWidth": "90",
	"labelWidth": "130",
	"header": false,
  // 判断禁用
  selectable:(row,index)=>{
    if(row.taskStatus == 2){
      return true;
    }else{
      return false;
    }
  },
	column: [
		{
			"type": "select",
			"label": "任务类型",
			"prop": "taskTypeId",
			span: 13,
			dicUrl: '/admin/wmtasktype/list',
			props: {
				label: 'taskTypeName',
				value: 'id'
			},
		},
		{
			"label": "任务积分",
			addDisplay: false,
			editDisplay: false,
			viewDisplay: false,
			"prop": "score",
			span: 13
		},
		{
			"type": "select",
			"label": "姓名",
			"prop": "taskUserId",
			dicUrl: '/admin/user/list',
			props: {
				label: 'realname',
				value: 'id'
			},
		},
		{
			"label": "完成时间",
			"prop": "lookintoDate",
			span: 13,
			type: 'datetime',
			format: 'yyyy-MM-dd HH:mm:ss',
			valueFormat: 'yyyy-MM-dd HH:mm:ss'
		},
		{
			"label": "任务状态",
			"prop": "taskStatus",
			type: 'select',
			dicUrl: '/admin/dict/type/task_status',
		},

		{
			"type": "select",
			"label": "积分包名称",
			"prop": "scorePackageId",
			span: 13,
			dicUrl: '/admin/wmscorepackage/list',
			props: {
				label: 'scoreName',
				value: 'id'
			},
		},
		{
			"type": "select",
			"label": "所属组织",
			"prop": "deptId",
			dicUrl: '/admin/dept/list',
			props: {
				label: 'name',
				value: 'dept_id'
			},
		}
		// ,
		// {
		// 	"type": "select",
		// 	"label": "服务企业",
		// 	"prop": "drugEntId",
		// 	dicUrl: '/admin/wmdadrugent/list',
		// 	props: {
		// 		label: 'entname',
		// 		value: 'id'
		// 	},
		// 	span: 13,
		// }
	]

}
