export const settlementData = {
  "align": 'center',
  "menuAlign": "center",
  "indexLabel": "序号",
  "index": true,
  "selection": false,
  "border": true,
  "addBtn": false,
  "editBtn": false,
  "delBtn": false,
  "viewBtn": false,
  "menuLeft": true,
  "searchMenuSpan": 5,
  "searchLabelWidth": "100",
  "labelWidth": "130",
  "header": true,
  column: [
    {
      type: "input",
      label: '积分包名称',
      prop: 'scorePackageName',
      search: true
    },
    {
      type: "input",
      label: '积分包值',
      prop: 'score'
    },
    {
      type: "input",
      label: '任务类型',
      prop: 'taskTypes',
    },
    {
      type: "input",
      label: '需求人数',
      prop: 'userNum'
    },
    {
      type: "input",
      label: '任务个数',
      prop: 'taskNum'
    },

    {
      type: "input",
      label: '接单人数',
      prop: 'userListNum'
    },

    {
      type: "input",
      label: '发布日期',
      prop: 'belongDate'
    },
    // {
    // 	type: "input",
    // 	label:'接单对象',
    // 	prop:'xxdbId',
    // 	search: true,
    // 	dicUrl: "/admin/user/list?role=5",
    // 	props:{
    // 		label: 'realname',
    // 		value: 'id'
    // 	  },
    // },
    {
      type: "select",
      label: '积分包状态',
      search: true,
      prop: 'packageFinishStatus',
      dicUrl: '/admin/dict/type/package_finish_status'
    }
  ]

}

export const settlementDataForSettle = {
  "align": 'center',
  "menuAlign": "center",
  "indexLabel": "序号",
  "index": true,
  "selection": false,
  "border": true,
  "addBtn": false,
  "editBtn": false,
  "delBtn": false,
  "viewBtn": false,
  "menuLeft": true,
  "searchMenuSpan": 5,
  "searchLabelWidth": "100",
  "labelWidth": "130",
  "header": true,
  column: [
    {
      type: "input",
      label: '积分包名称',
      prop: 'scorePackageName',
      search: true
    },
    {
      type: "input",
      label: '积分包值',
      prop: 'score'
    },
    {
      type: "input",
      label: '任务类型',
      prop: 'taskTypes',
      slot:true
    },

    {
      type: "input",
      label: '已结算任务数',
      prop: 'asTaskNum'
    },

    {
      type: "input",
      label: '待结算任务数',
      prop: 'wsTaskNum'
    },

    {
      type: "input",
      label: '发布日期',
      prop: 'belongDate'
    },
    // {
    // 	type: "input",
    // 	label:'接单对象',
    // 	prop:'xxdbId',
    // 	search: true,
    // 	dicUrl: "/admin/user/list?role=5",
    // 	props:{
    // 		label: 'realname',
    // 		value: 'id'
    // 	  },
    // },
    {
      type: "select",
      label: '积分包状态',
      search: true,
      prop: 'packageFinishStatus',
      dicUrl: '/admin/dict/type/package_finish_status'
    }
  ]

}
