export const individualHandlesTasksOption = {
	align:'center',
	menuAlign:"center",
	indexLabel: "序号",
	index: true,
	border:true,
	addBtn: false,
	editBtn:false,
	delBtn:false,
	viewBtn:false,
	menuLeft: true,
	searchMenuSpan: 5,
	searchLabelWidth: "120",
	labelWidth: "130",
	header: true,
  menuWidth: '165',
	column:[
    {
      type: "input",
      label:'积分包名称/编号',
      prop:'scorePackageName',
      search: true,
      hide: true
    },
		{
			type: "input",
			label:'积分包名称',
			prop:'scorePackageName1',
      minWidth: 82,
      slot: true
		},
    {
			type: "input",
			label:'积分包值',
			prop:'score'
		},
		{
			type: "input",
			label:'发布日期',
			prop:'belongDate'
    },
    {
			type: "input",
			label:'接单对象',
			prop:'userList',
			dicUrl: "/admin/user/list/available",
			props:{
				label: 'realname',
				value: 'id'
			},
    },
    {
      type: "select",
      label:'积分包状态',
      search: true,
      prop:'scorePackageStatus',
      dicUrl: '/admin/dict/type/score_package_status',
    },
    {
			type: "input",
			label:'完成积分值',
			prop:'ysh',
		},
		{
			type: "input",
			label:'完成百分比(%)',
			prop:'yshtt'
		},
    {
      type: "input",
      label:'审核通过积分值',
      prop:'shtg'
    },
    {
      type: "input",
      label:'审核通过百分比(%)',
      prop:'shtgtt'
    },
    {
      type: "input",
      label:'提交时间',
      prop:'settlementDate'
    },
    {
      type: "input",
      label:'下发时间',
      prop:'subToGigTime'
    },
    {
      type: "input",
      label:'到账时间',
      prop:'notifyDate'
    },
    {
      type: "input",
      label:'到账金额',
      prop:'settleAmount'
    },
    {
      type: "input",
      label:'关联积分包名称',
      search: true,
      prop:'relationScoreId'
    },
    {
      type: "input",
      label:'有效任务类型',
      prop:'taskTypes',
      slot:true
    },
    {
      type: "input",
      label:'接单对象范围',
      prop:'packageUserScopeName',
    },
    {
      type: "select",
      label:'接单对象范围',
      prop:'packageUserScope',
      search: true,
      hide: true,
      dicUrl: "/admin/wmscorepackage/list-package-user-scope",
			props:{
				label: 'name',
				value: 'id'
			  },
    },
    {
      type: "select",
      label:'接单对象类型',
      prop:'typeid',
      search: true,
      dicUrl: "/admin/dict/type/typeid_personal"
    },
    {
      type: "input",
      label:'接单对象',
      prop:'acceptUser',
      search:true,
      hide: true
    },
    {
      label: "发布日期",
      prop: "publishDate",
      span: 13,
      searchSpan:10,
      search:true,
      searchslot:true,
      hide: true
    }
	]
}
