export const tableOption = {
  border: true,
  index: true,
  indexLabel: '序号',
  menuAlign: 'center',
  searchMenuSpan: 6,
  editBtn: false,
  delBtn: false,
  dialogClickModal: false,
  dialogCloseBtn: false,
  align: 'center',
  addBtn: false,

  column: [
    {
      type: 'input',
      label: '积分包名称',
      prop: 'packageName'
    },
    {
      type: 'input',
      label: '积分包Id',
      prop: 'packageId'
    },
    {
      type: 'input',
      label: '知会阶段',
      prop: 'step'
    },
    {
      type: 'select',
      label: '知会状态',
      prop: 'noticeState',
      dicData: [
        {
          label: '知会中',
          value: 'SEND'
        },
        {
          label: '已读',
          value: 'READ'
        },
        {
          label: '待发送',
          value: 'PENDING'
        },
        {
          label: '已确认',
          value: 'CONFIRM'
        },
        {
          label: '申诉',
          value: 'ARGUE'
        },
        {
          label: '完结',
          value: 'DONE'
        }
      ]
    },
    {
      type: 'select',
      label: '审核阶段',
      prop: 'checkState',
      dicData: [
        {
          label: '审核通过',
          value: 'PASSED'
        },
        {
          label: '审核拒绝',
          value: 'REJECTED'
        },
        {
          label: '待市场组审批',
          value: 'INIT'
        },
        {
          label: '待商务组审批',
          value: 'CKT1'
        },
        {
          label: '待事业部分管销售领导审批',
          value: 'CKT2'
        },
        {
          label: '待事业部总经理审批',
          value: 'CKT3'
        },
        {
          label: '待分管领导审批',
          value: 'CKT4'
        }
      ]
    },
    {
      type: 'input',
      label: '服务商是否接受',
      prop: 'accept',
      formatter: function(row) {
        if (row.accept === null) return '';
        return row.accept ? '接受' : '不接受';
      }
    },
    {
      type: 'input',
      label: '审核结果',
      prop: 'checkResult',
      formatter: function(row) {
        if (row.checkResult === null) return '';
        return row.checkResult ? '审核通过' : '审核不通过';
      }
    },
    {
      type: 'input',
      label: '创建时间',
      prop: 'createTime'
    }
  ]
};
