export const eventConfiguration =    {
  editBtn: false,
  delBtn: false,
  addBtn:false,
  border: true,
  index: true,
  align:'center',
  menuCenter: 'left',
  searchMenuSpan: 7,
  indexLabel: "序号",
  menuWidth: 100,
  stripe: true,
  column: [
    {
      label: "事件名称",
      prop: "jobName",
      search: true,
    },
    {
      "label": "日期",
      hide: true,
      "prop": "time",
      searchSpan: 10,
      searchslot: true,
      search: true,
    },
    {
      "label": "开始时间",
      "prop": "createTime",
    },

    {
      "label": "结束时间",
      "prop": "endTime",
    },
    {
      "label": "运行状态",
      "prop": "jobMessage",
    },
    {
      "label": "运行结果",
      "prop": "jobLogStatus",
      dicUrl: '/admin/dict/type/job_log_state',
      search: true,
      type: 'select',
      props: {
        label: 'label',
        value: 'value'
      }
    },
  ]
}

export const detailConfiguration = {
  editBtn: false,
  delBtn: false,
  addBtn:false,
  border: true,
  index: true,
  menu: false,
  menuCenter: 'left',
  indexLabel: "序号",
  stripe: true,
  column: [
    {
      label: "用户名",
      prop: "realname",
    },
    {
      label: "电话",
      prop: "username",
    },
    {
      label: "结算企业",
      prop: "deptName",
    },
    {
      label: "结算金额",
      prop: "settleAmount",
    },
    {
      label: "结算时间",
      prop: "settleNoteCreateTime",
    },
    {
      label: "结算状态",
      prop: "settleState",
    },
    {
      label: "结算渠道",
      prop: "subTypeName",
    },
    {
      label: "积分包名称",
      prop: "packageName",
    },

  ]
}
export const otherDetailConfiguration = {
  editBtn: false,
  delBtn: false,
  addBtn:false,
  border: true,
  index: true,
  menu: false,
  menuCenter: 'left',
  indexLabel: "序号",
  stripe: true,
  column: [
    {
      label: "用户名",
      prop: "realname",
    },
    {
      label: "电话",
      prop: "username",
    },
    {
      label: "积分包名称",
      prop: "packageName",
    },
    {
      label: "积分包状态",
      prop: "status",
    },
    {
      label: "发包企业",
      prop: "deptName",
    },
    {
      label: "发包时间",
      prop: "packageCreateTime",
    },
    {
      label: "接包时间",
      prop: "packagePickUpTime",
    },
    {
      label: "初始任务时间",
      prop: "firstTaskTime",
    },

  ]

}
