export const tableOptionTaskJsx = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  editBtn: false,
  delBtn: false,
  addBtn:false,
  "column": [
    {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },
    {
      "type": "input",
      "label": "积分包ID",
      "prop": "scorePackageName",
      search:true,
      span: 13,
    },
    {
      "type": "input",
      "label": "积分包名称",
      "prop": "scorePackageName",
      hide:true,
      span: 13,
      editDisplay: false,
      addDisplay: false,
    },

    {
      "type": "input",
      "label": "积分包值",
      "prop": "score",
      span: 13,
    },
    {
      "type": "select",
      "label": "一级代理商",
      "prop": "level1Id",
      span: 13,
      dicUrl: '/admin/wmdaagent/listNoScope?agentTypeId=1',
      props: {
        label: 'gsmc',
        value: 'id'
      },
    },
    {
      "type": "select",
      "label": "发放时间",
      "prop": "taskRuleId",
      dicUrl: '/admin/wmtaskrule/list',
      props: {
        label: 'ruleMonth',
        value: 'id'
      },
      span: 13,
      search:true,
      rules: [{
        required: true,
        message: '收到时间',
        trigger: 'blur'
      }],

    },
    {
      "label": "积分包状态",
      "prop": "packageFinishStatus",
      type: 'select',
      dicUrl: '/admin/dict/type/package_finish_status',
      span: 13,
      editDisplay: false,
      addDisplay: false,
    },
    {
      "label": "积分包状态",
      "prop": "packageStatus",
      type: 'select',
      dicUrl: '/admin/dict/type/package_finish_status',
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },
    {
      "type": "input",
      "label": "已提交总值",
      "prop": "ytj",
      span: 13,
    }
    ,
    {
      "type": "input",
      "label": "审核分值",
      "prop": "ysh",
      span: 13,
    },
    {
      "type": "input",
      "label": "进度(%)",
      "prop": "dsh",
      hide:true,
      span: 13,
    },{
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false,

    },
    {
      "type": "select",
      "label": "药企",
      "prop": "drugEntId",
      dicUrl: '/admin/wmdadrugent/list',
      props: {
        label: 'entname',
        value: 'id'
      },
      span: 13,
      rules: [{
        required: true,
        message: '请选择药企',
        trigger: 'blur'
      }],
      hide:true,
      editDisplay: false,
      addDisplay: false,

    },
    {
      "label": "代理商类型",
      "prop": "agentTypeId",
      type: 'select',
      dicUrl: '/admin/dict/type/agent_type',
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false,

    },
    {
      "type": "select",
      "label": "二级代理商",
      "prop": "level2Id",
      hide:true,
      span: 13,
      dicUrl: '/admin/wmdaagent/list?agentTypeId=2',
      props: {
        label: 'gsmc',
        value: 'id'
      },
    },	  {
      "type": "select",
      "label": "众包ID",
      "prop": "zbId",
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false,
      dicUrl: '/admin/user/list',
      props: {
        label: 'realname',
        value: 'id'
      },
    },
    {
      "label": "分配对象类型",
      "prop": "typeid",
      type: 'select',
      dicUrl: '/admin/dict/type/scorePackageType',
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      value:0
    },	  {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      value:0
    },	  {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "创建时间",
      "prop": "createTime",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "更新时间",
      "prop": "updateTime",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    }  ]
}


export const tableOptionT_JXS = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  editBtn: false,
  delBtn: false,
  addBtn:false,
  "column": [
    {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "select",
      "label": "任务类型",
      "prop": "taskTypeId",
      span: 13,
      dicUrl: '/admin/wmtasktype/list',
      props: {
        label: 'taskTypeName',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '任务类型',
        trigger: 'blur'
      }],
    },	  {
      "type": "input",
      "label": "任务得分",
      "prop": "score",
      span: 13,
    },
    // {
    //   "type": "select",
    //   "label": "积分包ID",
    //   "prop": "scorePackageId",
    //   span: 13,
    //   dicUrl: '/admin/wmscorepackage/list',
    //   props: {
    //     label: 'scoreId',
    //     value: 'id'
    //   },
    //   search:true,
    //   rules: [{
    //     required: true,
    //     message: '积分包ID',
    //     trigger: 'blur'
    //   }],
    // },
    {
      "type": "input",
      "label": "积分包ID",
      "prop": "scorePackageName",
      span: 13,
      dicUrl: '/admin/wmscorepackage/list',
      props: {
        label: 'scoreId',
        value: 'id'
      },
      hide:true,
      rules: [{
        required: true,
        message: '积分包ID',
        trigger: 'blur'
      }],
    },
    {
      "type": "input",
      "label": "提交人姓名",
      "prop": "taskUserId",
      dicUrl: '/admin/user/listNoScopeAll',
      props: {
        label: 'realname',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '提交人姓名',
        trigger: 'blur'
      }],
    },

    {
      "type": "select",
      "label": "所属组织",
      "prop": "deptId",
      dicUrl: '/admin/dept/listScope',
      props: {
        label: 'name',
        value: 'dept_id'
      },
    },

    {
      "type": "select",
      "label": "服务企业",
      "prop": "drugEntId",
      dicUrl: '/admin/wmdadrugent/getDrugListByAgentServiceEnt',
      search:true,
      props: {
        label: 'entname',
        value: 'id'
      },
      span: 13,
      rules: [{
        required: true,
        message: '请选择企业',
        trigger: 'blur'
      }],
    },
    {
      "label": "完成时间",
      "prop": "lookintoDate",
      span: 13,
      type: 'datetime',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss',

    },

    // {
    //   "type": "select",
    //   "label": "医药代表ID",
    //   "prop": "userId",
    //   span: 13,
    //   dicUrl: '/admin/user/list',
    //   search: true,
    //   props: {
    //     label: 'realname',
    //     value: 'id'
    //   },
    // }
    // ,
    {
      "type": "select",
      "label": "任务规则",
      "prop": "taskRuleId",
      span: 13,
      dicUrl: '/admin/wmtaskrule/list',
      props: {
        label: 'ruleMonth',
        value: 'id'
      },
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	   {
      "type": "input",
      "label": "医院城市",
      "prop": "provinceTxt",
      span: 13,
      formslot: true,
      slot: true,
      overHidden: true,
      hide:true,
    },
    {
      "type": "input",
      "label": "省",
      "prop": "province",
      slot: true,
      overHidden: true,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "市",
      "prop": "city",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "区",
      "prop": "area",
      formslot: true,
      slot: true,
      overHidden: true,
      span: 24,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "地址",
      "prop": "address",
      span: 20,
      formslot: true,
      overHidden: true,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "label": "调研类型",
      "prop": "lookintoTypeId",
      span: 13,
      type: 'select',
      dicUrl: '/admin/dict/type/diaoyan_type',
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "select",
      "label": "任务内容ID",
      "prop": "taskContentId",
      span: 13,
      dicUrl: '/admin/wmtaskcontent/list',
      hide:true,
      editDisplay: false,
      addDisplay: false,
      props: {
        label: 'address',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '反馈意见用户',
        trigger: 'blur'
      }],

    },	  	  {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      value:0
    },	  {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      value:0
    },	  {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "label": "完成时间",
      "prop": "createTime",
      search:true,
      hide:true,
      editDisplay: false,
      addDisplay: false,
      type: 'datetime',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss',
    },	  {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      type: 'datetime',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss',
      "label": "   至    ",
      "prop": "updateTime",
      search:true,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    }  ]
}



export const tableOptionTaskZbDrug = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  editBtn: false,
  delBtn: false,
  addBtn:false,
  selection: true,
  "column": [
    {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },
    {
      "type": "input",
      "label": "积分包ID",
      "prop": "scorePackageName",
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },
    {
      "type": "input",
      "label": "积分包名称",
      "prop": "scorePackageName",
      maxLengrh: 64,
      span: 13,

      editDisplay: false,
      addDisplay: false,
    },

    {
      "type": "input",
      "label": "积分包值",
      "prop": "score",
      span: 13,
    },
    {
      "type": "select",
      "label": "一级代理商",
      "prop": "level1Id",
      hide:true,
      span: 13,
      dicUrl: '/admin/wmdaagent/list?agentTypeId=1',
      props: {
        label: 'gsmc',
        value: 'id'
      },
    },
    {
      "type": "select",
      "label": "发放时间",
      "prop": "taskRuleId",
      dicUrl: '/admin/wmtaskrule/list',
      props: {
        label: 'ruleMonth',
        value: 'id'
      },
      span: 13,
      search:true,
      rules: [{
        required: true,
        message: '收到时间',
        trigger: 'blur'
      }],

    },
    {
      "label": "积分包状态",
      "prop": "packageFinishStatus",
      type: 'select',
      dicUrl: '/admin/dict/type/package_finish_status',
      span: 13,
      editDisplay: false,
      addDisplay: false,
    },
    {
      "label": "积分包状态",
      "prop": "packageStatus",
      type: 'select',
      dicUrl: '/admin/dict/type/package_finish_status',
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },
    {
      "type": "input",
      "label": "已提交总值",
      "prop": "ytj",
      hide:true,
      span: 13,
    }
    ,
    {
      "type": "input",
      "label": "审核分值",
      "prop": "ysh",
      hide:true,
      span: 13,
    },
    {
      "type": "input",
      "label": "进度(%)",
      "prop": "dsh",
      hide:true,
      span: 13,
    },{
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false,

    },
    {
      "type": "select",
      "label": "药企",
      "prop": "drugEntId",
      dicUrl: '/admin/wmdadrugent/list',
      props: {
        label: 'entname',
        value: 'id'
      },
      span: 13,
      rules: [{
        required: true,
        message: '请选择药企',
        trigger: 'blur'
      }],
      hide:true,
      editDisplay: false,
      addDisplay: false,

    },
    {
      "label": "代理商类型",
      "prop": "agentTypeId",
      type: 'select',
      dicUrl: '/admin/dict/type/agent_type',
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false,

    },
    {
      "type": "select",
      "label": "二级代理商",
      "prop": "level2Id",
      hide:true,
      span: 13,
      dicUrl: '/admin/wmdaagent/list?agentTypeId=2',
      props: {
        label: 'gsmc',
        value: 'id'
      },
    },	  {
      "type": "select",
      "label": "兼职学术推广员",
      "prop": "zbId",
      span: 13,
      editDisplay: false,
      addDisplay: false,
      search:true,
      dicUrl: '/admin/user/listNoScopeAll',
      props: {
        label: 'realname',
        value: 'id'
      },
    },
    {
      "label": "分配对象类型",
      "prop": "typeid",
      type: 'select',
      dicUrl: '/admin/dict/type/scorePackageType',
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      value:0
    },	  {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      value:0
    },	  {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "创建时间",
      "prop": "createTime",
      editDisplay: false,
      addDisplay: false,
      hide:true,
      format: 'yyyy-MM',
      valueFormat: 'yyyy-MM',
      rules: [{
        required: true,
        message: '请输入结束时间',
        trigger: 'blur'
      }],
    },	  {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "更新时间",
      "prop": "updateTime",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    }  ]
}


export const tableOptionTaskZbSettle = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  menu: false,
  editBtn: false,
  delBtn: false,
  addBtn:false,
  selection: true,
  "column": [
    {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },
    {
      "type": "input",
      "label": "积分包ID",
      "prop": "scorePackageName",
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },
    {
      "type": "input",
      "label": "积分包名称",
      "prop": "scorePackageName",
      span: 13,
      editDisplay: false,
      addDisplay: false,
    },

    {
      "type": "input",
      "label": "积分包值",
      "prop": "score",
      span: 13,
      editDisplay: false
    },
    {
      "type": "select",
      "label": "一级代理商",
      "prop": "level1Id",
      hide:true,
      span: 13,
      editDisplay: false,
      dicUrl: '/admin/wmdaagent/list?agentTypeId=1',
      props: {
        label: 'gsmc',
        value: 'id'
      },
    },
    {
      "type": "select",
      "label": "发放时间",
      "prop": "taskRuleId",
      dicUrl: '/admin/wmtaskrule/list',
      props: {
        label: 'ruleMonth',
        value: 'id'
      },
      span: 13,
      search:true,
      editDisplay: false,
      rules: [{
        required: true,
        message: '收到时间',
        trigger: 'blur'
      }],

    },
    {
      "label": "积分包状态",
      "prop": "packageFinishStatus",
      type: 'select',
      dicUrl: '/admin/dict/type/package_finish_status',
      span: 3,
      editDisplay: false,
      addDisplay: false,
    },
    {
      "label": "积分包状态",
      "prop": "packageStatus",
      type: 'select',
      dicUrl: '/admin/dict/type/package_finish_status',
      span: 3,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },
    {
      "type": "input",
      "label": "已提交总值",
      "prop": "ytj",
      hide:false,
      span: 13,
    },
    {
      type: 'select',
      "label": "发票类目",
      "prop": "invoiceCategory",
      // dicUrl: '/admin/dict/type/invoice_category',
      dicData: [
        {
          label: "现代服务*技术咨询服务费",
          value: 3,
        },
        {
          label: "现代服务*推广服务费",
          value: 7,
        },
        {
          label: "现代服务*其他咨询服务费",
          value: 4,
        },
        {
          label: "现代服务*现场辅助服务费",
          value: 5,
        }],
      hide:false,
      span: 3,
      editDisplay: false,
      addDisplay: false
    },
    {
      "type": "input",
      "label": "折扣",
      "prop": "discount",
      hide:false,
      span: 13
    },
    {
      "type": "input",
      "label": "实际结算金额",
      "prop": "settleAmount",
      "width": 100,
      hide:false,
      allowEdit: true,
      span: 20
    },
    {
      "label": "结算状态",
      "prop": "settleStatus",
      type: 'input',
      dicData: [
        {
          label: "结算成功",
          value: 1,
        },
        {
          label: "结算失败",
          value: 2,
        },
        {
          label: "已提交",
          value: 3,
        },
        {
          label: "未结算",
          value: 4,
        },
      ],
      editDisplay: false,
      addDisplay: false,
      span: 13,
    },
    {
      "type": "input",
      "label": "审核分值",
      "prop": "ysh",
      hide:true,
      editDisplay: false,
      span: 13,
    },
    {
      "type": "input",
      "label": "进度(%)",
      "prop": "dsh",
      hide:true,
      editDisplay: false,
      span: 13,
    },{
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false,

    },
    {
      "type": "select",
      "label": "药企",
      "prop": "drugEntId",
      dicUrl: '/admin/wmdadrugent/list',
      props: {
        label: 'entname',
        value: 'id'
      },
      span: 13,
      rules: [{
        required: true,
        message: '请选择药企',
        trigger: 'blur'
      }],
      hide:true,
      editDisplay: false,
      addDisplay: false,

    },
    {
      "label": "代理商类型",
      "prop": "agentTypeId",
      type: 'select',
      dicUrl: '/admin/dict/type/agent_type',
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false,

    },
    {
      "type": "select",
      "label": "二级代理商",
      "prop": "level2Id",
      hide:true,
      span: 13,
      editDisplay: false,
      dicUrl: '/admin/wmdaagent/list?agentTypeId=2',
      props: {
        label: 'gsmc',
        value: 'id'
      },
    },	  {
      "type": "select",
      "label": "兼职学术推广员",
      "prop": "zbId",
      span: 13,
      editDisplay: false,
      addDisplay: false,
      search:true,
      dicUrl: '/admin/user/listNoScopeAll',
      props: {
        label: 'realname',
        value: 'id'
      },
    },
    {
      "label": "分配对象类型",
      "prop": "typeid",
      type: 'select',
      dicUrl: '/admin/dict/type/scorePackageType',
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      value:0
    },	  {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      value:0
    },	  {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "创建时间",
      "prop": "createTime",
      editDisplay: false,
      addDisplay: false,
      hide:true,
      format: 'yyyy-MM',
      valueFormat: 'yyyy-MM',
      rules: [{
        required: true,
        message: '请输入结束时间',
        trigger: 'blur'
      }],
    },	  {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "更新时间",
      "prop": "updateTime",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    }  ]
}



// 报告导出
export const exportReport = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  editBtn: false,
  delBtn: false,
  addBtn:false,
  selection: true,
  // 判断禁用
  selectable:(row,index)=>{
    if(row.ysh <= 0){
      return false;
    }else{
      return true;
    }
  },
  "column": [
    {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },

    {
      "type": "input",
      "label": "积分包名称",
      "prop": "scorePackageName",
      searchLabelWidth:90,
      maxLengrh: 64,
      search:true,
      span: 13,

      editDisplay: false,
      addDisplay: false,
    },

    {
      "type": "input",
      "label": "积分包值",
      "prop": "score",
      span: 13,
    },

    {
      "type": "input",
      "label": "发布日期",
      "prop": "belongDate",
      span: 13,
    },
    {
      "type": "input",
      "label": "完成日期",
      "prop": "packageFinishTime",
      hide:false,
      editDisplay: false,
      addDisplay: false,
    },
    {
      "label": "积分包状态",
      "prop": "packageFinishStatus",
      type: 'select',
      dicUrl: '/admin/dict/type/package_finish_status',
      span: 13,
      search:true,
      searchLabelWidth:90,
      editDisplay: false,
      addDisplay: false,
    },
    {
      "label": "积分包状态",
      "prop": "packageStatus",
      type: 'select',
      dicUrl: '/admin/dict/type/package_finish_status',
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },
    {
      "type": "input",
      "label": "已提交总值",
      "prop": "ytj",
      hide:true,
      span: 13,
    }
    ,
    {
      "type": "input",
      "label": "审核分值",
      "prop": "ysh",
      hide:true,
      span: 13,
    },
    {
      "type": "input",
      "label": "进度(%)",
      "prop": "dsh",
      hide:true,
      span: 13,
    },{
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false,

    },
    {
      "type": "select",
      "label": "药企",
      "prop": "drugEntId",
      dicUrl: '/admin/wmdadrugent/list',
      props: {
        label: 'entname',
        value: 'id'
      },
      span: 13,
      rules: [{
        required: true,
        message: '请选择药企',
        trigger: 'blur'
      }],
      hide:true,
      editDisplay: false,
      addDisplay: false,

    },
    {
      "label": "代理商类型",
      "prop": "agentTypeId",
      type: 'select',
      dicUrl: '/admin/dict/type/agent_type',
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false,

    },
    {
      "type": "select",
      "label": "二级代理商",
      "prop": "level2Id",
      hide:true,
      span: 13,
      dicUrl: '/admin/wmdaagent/list?agentTypeId=2',
      props: {
        label: 'gsmc',
        value: 'id'
      },
    },	  {
      "type": "select",
      "label": "兼职学术推广员",
      "prop": "zbId",
      span: 13,
      editDisplay: false,
      addDisplay: false,
      search:false,
      hide: true,
      dicUrl: '/admin/user/listNoScopeAll',
      props: {
        label: 'realname',
        value: 'id'
      },
    },
    {
      "label": "分配对象类型",
      "prop": "typeid",
      type: 'select',
      dicUrl: '/admin/dict/type/scorePackageType',
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      value:0
    },	  {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      value:0
    },	  {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },
    // 	  {
    //   "type": "input",
    //   "label": "创建时间",
    //   "prop": "createTime",
    //   editDisplay: false,
    //   addDisplay: false,
    //   hide:true,
    //   format: 'yyyy-MM',
    //   valueFormat: 'yyyy-MM',
    //   rules: [{
    //     required: true,
    //     message: '请输入结束时间',
    //     trigger: 'blur'
    //   }],
    // },
    {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    }  ]
}

export const reportExportlook = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  editBtn: false,
  delBtn: false,
  addBtn:false,
  header: false,
  "column": [
    {
      "type": "select",
      "label": "任务类型",
      "prop": "taskTypeId",
      span: 13,
      dicUrl: '/admin/wmtasktype/list',
      props: {
        label: 'taskTypeName',
        value: 'id'
      },
    },
    {
      "label": "任务积分",
      addDisplay:false,
      editDisplay:false,
      viewDisplay: false,
      "prop": "score",
      span: 13
    },
    {
      "type": "select",
      "label": "姓名",
      "prop": "taskUserId",
      dicUrl: '/admin/user/list',
      props: {
        label: 'realname',
        value: 'id'
      },
    },
    {
      "label": "完成时间",
      "prop": "lookintoDate",
      span: 13,
      type: 'datetime',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss'
    },
    {
      "label": "任务状态",
      "prop": "taskStatus",
      type: 'select',
      dicUrl: '/admin/dict/type/task_status',
    },
    {
      "type": "select",
      "label": "所属组织",
      "prop": "deptId",
      dicUrl: '/admin/dept/list',
      props: {
        label: 'name',
        value: 'dept_id'
      },
    },
    {
      "type": "select",
      "label": "服务企业",
      "prop": "drugEntId",
      dicUrl: '/admin/wmdadrugent/list',
      props: {
        label: 'entname',
        value: 'id'
      },
      span: 13,
    }
  ]
}
