export const pointsData = {
  align: 'center',
  menuAlign: 'center',
  indexLabel: '序号',
  index: true,
  selection: false,
  border: true,
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  menuLeft: true,
  searchMenuSpan: 5,
  searchLabelWidth: '90',
  menuWidth: 200,
  labelWidth: '130',
  needVal: '',
  column: [
    {
      type: 'input',
      label: '执行包名称',
      prop: 'scorePackageName',
      searchSpan: 6,
      search: true
    },
    {
      label: '执行包总值',
      prop: 'score'
    },
    {
      type: 'select',
      label: '承接对象',
      prop: 'acceptSug',
      search: true,
      searchSpan: 8,
      dicUrl: '/admin/wmdaagent/listCso',
      props: {
        label: 'gsmc',
        value: 'id'
      },
      formatter: function (row) {
        return Number(row.acceptSug);
      }
    },

    {
      type: 'select',
      label: '执行包状态',
      prop: 'packageFinishStatus',
      dicUrl: '/admin/dict/type/package_finish_status'
    },
    {
      label: '分配日期',
      prop: 'allocationDate',
      searchSpan: 10,
      search: true,
      searchslot: true
    },
    {
      type: 'input',
      label: '完成分值',
      prop: 'ysh'
    },
    {
      label: '完成百分比',
      prop: 'finishRate',
      formatter: function (row) {
        return Number(row.finishRate) + '%';
      }
    }
  ]
};
