import { changeEnd } from "codemirror"

// 查看页面
export const projectManagementdata = {
  page:false,
  align:'center',
  "menuAlign":"center",
  "indexLabel": "序号",
  "index": true,
  "selection": false,
  "border":true,
  "addBtn": false,
  "delBtn":false,
  "editBtn": false,
  searchMenuSpan: 4,
  "searchLabelWidth": "90",
  column:[
    {
      "type": "input",
      "label": "客户ID",
      "prop": "customerNumber",
      search:true,
      // span: 13,
      searchSpan: 5,
      // dicUrl: '/admin/wmtasktype/list',
      // props: {
      //   label: 'taskTypeName',
      //   value: 'id'
      // },
    },
    {
      "type": "input",
      label:'客户名称',
      "prop": "customerName",
      search: true,
      // span: 24,
      searchSpan: 5,
    },
    {
      "type": "select",
      "label": "客户类别",
      "prop": "customerType",
      search: true,
      searchSpan: 5,
      // span: 13,
      dicUrl: '/admin/dict/type/customer_type',
      props: {
        label: 'label',
        value: 'value'
      }
    },
    {
      "type": "input",
      "label": "渠道名称（如有）",
      "prop": "channelName",
      // span: 13
      // dicUrl: '/admin/user/list',
      // props: {
      //   label: 'realname',
      //   value: 'id'
      // },
    },
    {
      "label": "签订日期",
      "prop": "signDate",
      span: 13,
      type: 'date',
      format: 'yyyy-MM-dd',
      valueFormat: 'yyyy-MM-dd HH:mm:ss'
    },
    {
      "label": "有效期截止",
      "prop": "expirationDate",
      // span: 13,
      type: 'date',
      format: 'yyyy-MM-dd',
      valueFormat: 'yyyy-MM-dd HH:mm:ss'
    },
    {
      "label": "开发进度",
      "prop": "customerStatus",
      // span: 13,
      type: 'select',
      search: true,
      searchSpan: 5,
      dicUrl: '/admin/dict/type/customer_status',
      props: {
        label: 'label',
        value: 'value'
      }
    },
    {
      "type": "input",
      label:'客户经理',
      "prop": "customerManager",
      search: true,
      searchSpan: 5,
      // span: 24,
    },
    {
      "type": "input",
      label:'说明',
      "prop": "remark",
      // span: 13
    }


  ]
}
