export const reportRuledata = {
  align: 'center',
  menuAlign: 'center',
  indexLabel: '序号',
  index: true,
  selection: false,
  border: true,
  addBtn: false,
  delBtn: false,
  header: false,
  editBtn: false,
  searchMenuSpan: 5,
  searchLabelWidth: '90',
  // delBtn:true,
  column: [
    {
      type: 'input',
      label: '报告ID',
      prop: 'reportNo',
      search: true,
      searchSpan: 8
    },
    {
      type: 'input',
      label: '执行包名称',
      prop: 'scorePackageName',
      // slot: true,
      search: true,
      searchSpan: 8,
      span: 13
    },
    {
      label: '服务数',
      prop: 'taskNumber',
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      span: 13
    },
    {
      label: '完成积分值',
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      prop: 'totalScore',
      span: 13
    },
    {
      type: 'input',
      label: '派工方',
      prop: 'entName'
    },
    {
      label: '生成日期',
      prop: 'createTime',
      span: 13,
      type: 'date',
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      format: 'yyyy-MM-dd hh:mm:ss',
      valueFormat: 'yyyy-MM-dd hh:mm:ss'
    },
    {
      type: 'select',
      label: '报告状态',
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      searchSpan: 8,
      search: true,
      prop: 'reportStatus',
      span: 13,
      dicUrl: '/admin/dict/type/report_status'
      // props: {
      //   label: 'realname',
      //   value: 'id'
      // },
    }
    // {
    //   label: "最新生成时间",
    //   prop: "updateTime",
    //   span: 13,
    //   type: "date",
    //   addDisplay: false,
    //   editDisplay: false,
    //   viewDisplay: false,
    //   format: "yyyy-MM-dd",
    //   valueFormat: "yyyy-MM-dd"
    // }
  ]
};

export const reportRulelookdata = {
  align: 'center',
  menuAlign: 'center',
  indexLabel: '序号',
  index: true,
  selection: false,
  border: true,
  addBtn: false,
  delBtn: false,
  editBtn: false,
  header: false,
  searchMenuSpan: 4,
  searchLabelWidth: '90',
  column: [
    {
      label: '服务类型',
      prop: 'taskTypeId',
      span: 13,
      dicUrl: '/admin/wmtasktype/list',
      props: {
        label: 'taskTypeName',
        value: 'id'
      }
    },
    {
      type: 'input',
      label: '服务积分',
      prop: 'score',
      span: 24
      // dicUrl: '/admin/wmtasktype/list',
      // props: {
      //   label: 'taskTypeName',
      //   value: 'id'
      // }
    },
    {
      type: 'input',
      label: '推广员名称',
      prop: 'taskUsername'
    },
    {
      label: '完成时间',
      prop: 'lookintoDate',
      span: 13,
      type: 'datetime',
      format: 'yyyy-MM-dd HH:mm:ss',
      valueFormat: 'yyyy-MM-dd HH:mm:ss'
    },
    // {
    //   "label": "服务状态",
    //   "prop": "taskStatus",
    //   span: 13,
    //   type: 'select',
    //   dicUrl: '/admin/dict/type/task_status',
    // },
    {
      label: '报告审核状态',
      prop: 'reportApprovalOpinion',
      dicData: [
        {
          label: '通过',
          value: '1'
        },
        {
          label: '不通过',
          value: '2'
        }
      ],
      slot: true
    },
    {
      label: '报告ID',
      prop: 'reportNo',
      span: 13
    },

    // {
    //   "type": "input",
    //   label:'执行包名称',
    //   prop: 'scoreId',
    //   dicUrl: '/admin/wmscorepackage/list',
    //   props:{
    //     label: 'scorePackageName',
    //     value: 'id'
    //   },
    //   formatter: function (row) {
    //     return String(row.scoreId);
    //   },
    //   span: 13
    // },
    {
      type: 'select',
      label: '所属组织',
      prop: 'deptId',
      dicUrl: '/admin/dept/list',
      props: {
        label: 'name',
        value: 'dept_id'
      }
    }
    // {
    //   "type": "select",
    //   "label": "服务企业",
    //   "prop": "drugEntId",
    //   dicUrl: '/admin/wmdadrugent/list',
    //   props: {
    //     label: 'entname',
    //     value: 'id'
    //   },
    //   span: 13
    // }
  ]
};
