export const tableOption = {
  align: 'center',
  menuAlign: 'center',
  indexLabel: '序号',
  index: true,
  selection: false,
  border: true,
  addBtn: false,
  delBtn: false,
  refreshBtn: false,
  searchShowBtn: false,
  gridBtn: false,
  editBtn: false,
  columnBtn: false,
  searchMenuSpan: 6,
  emptyText: '无查找结果数据',
  searchLabelWidth: '90',
  column: [
    {
      type: 'input',
      label: '服务商名称',
      prop: 'deptName',
      searchLabelWidth: 100,
      searchSpan: 6
    },
    {
      hide: true,
      type: 'input',
      label: '服务商名称',
      prop: 'entName',
      search: true,
      searchLabelWidth: 100,
      searchSpan: 6
    },
    {
      label: '服务周期',
      prop: 'period',
      searchLabelWidth: 100,
      search: true,
      searchslot: true,
      hide: true,
      searchSpan: 6
    },
    {
      type: 'input',
      label: '总监督数 / 总任务数',
      prop: 'total',
      width: '130px',

      formatter: function (row) {
        return Number(row.taskSupStat.supTotal) + ' / ' + Number(row.taskSupStat.total);
      }
    },

    {
      type: 'input',
      label: '监督总进度',
      prop: 'progress',
      width: '260px',
      slot: true
    },
    {
      type: 'input',
      label: '角色监督数',
      prop: 'roleNumber',
      width: '240px',
      slot: true
    },
    {
      type: 'input',
      width: '240px',
      label: '角色监督总进度',
      prop: 'roleProgress',
      slot: true
    }
  ]
};
