export const tableOption = {
  align: "center",
  menuAlign: "center",
  indexLabel: "序号",
  index: true,
  border: true,
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  menuLeft: true,
  labelWidth: "130",
  header: false,
  column: [
    {
      label: "服务编号",
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      prop: "taskNumber"
    },
    {
      type: "select",
      label: "服务类型",
      prop: "taskTypeId",
      span: 13
    },
    {
      label: "服务分值",
      addDisplay: false,
      editDisplay: false,
      viewDisplay: false,
      prop: "score",
      span: 13
    },
    {
      type: "select",
      label: "推广员姓名",
      prop: "taskUserId",
      dicUrl: "/admin/user/list",
      props: {
        label: "realname",
        value: "id"
      }
    },
    {
      label: "完成时间",
      prop: "lookintoDate",
      span: 13,
      type: "datetime",
      format: "yyyy-MM-dd HH:mm:ss",
      valueFormat: "yyyy-MM-dd HH:mm:ss"
    },
    {
      label: "审核状态",
      prop: "taskStatus",
      type: "select",
      dicUrl: "/admin/dict/type/task_status"
    },
    {
      type: "input",
      label: "审批节点",
      prop: "checkState",
      formatter(row) {
        if (row.checkState) {
          return row.checkState.displayInfo;
        }
      }
    },
    {
      type: "input",
      label: "审批人",
      prop: "approvalUserName"
    },
    {
      type: "input",
      label: "服务包名称",
      prop: "scorePackageName"
    },
    {
      type: "select",
      label: "服务提供商",
      prop: "deptId",
      dicUrl: "/admin/dept/list",
      props: {
        label: "name",
        value: "dept_id"
      }
    }
  ]
};
