export const tableOption = {
  border: true,
  index: true,
  indexLabel: "序号",
  menuAlign: "center",
  searchMenuSpan: 6,
  editBtn: false,
  delBtn: false,
  dialogClickModal: false,
  dialogCloseBtn: false,
  align: "center",
  addBtn: false,

  column: [
    {
      type: "input",
      label: "角色名称",
      prop: "roleId",
      formatter(row) {
        return row.role.roleName;
      }
    },
    {
      type: "select",
      label: "服务商预警类型",
      prop: "warnType",
      dicUrl: "/admin/dict/type/role_sup_warn_rule_type"
    },
    {
      type: "select",
      label: "预警规则",
      prop: "warnLogic",
      dicUrl: "/admin/dict/type/role_sup_warn_rule_logic"
    },
    {
      type: "input",
      label: "风险临界值",
      prop: "value"
    },
    {
      type: "input",
      label: "风险信息模板",
      prop: "template"
    }
  ]
};

export const infoTableOption = {
  border: true,
  index: true,
  indexLabel: "序号",
  menuAlign: "center",
  searchMenuSpan: 6,
  editBtn: false,
  delBtn: false,
  dialogClickModal: false,
  dialogCloseBtn: false,
  align: "center",
  addBtn: false,

  column: [
    {
      type: "select",
      label: "预警类型",
      prop: "warnType",
      dicUrl: "/admin/dict/type/role_sup_warn_rule_type"
    },
    {
      type: "input",
      label: "预警对象",
      prop: "targetInfo"
    },
    {
      type: "input",
      label: "预警信息",
      prop: "message"
    }
  ]
};
