export const settlementOption = {
	"align":'center',
	"menuAlign":"center",
	"indexLabel": "序号",
	"index": true,
	"selection": false,
	"border":true,
	"addBtn": false,
	"editBtn":false,
	"delBtn":false,
	"viewBtn":false,
	"menuLeft": true,
	"searchMenuSpan": 5,
	"searchLabelWidth": "50",
	"labelWidth": "130",
	"header": true,
  "selection": true,
  selectable:(row,index)=>{
    return (row.settleStatus == '0' || row.settleStatus == '2') || false
  },
	column:[
		{
			label:'任务类型',
			prop:'taskTypeId',
      dicUrl: '/admin/wmtasktype/list',
      props: {
        label: 'taskTypeName',
        value: 'id'
      },
		},
    {
      label:'任务积分',
			prop:'score',
    },
    {
      label:'姓名',
			prop:'taskUserId',
      search: true
    },
    {
      label:'完成时间',
			prop:'lookintoDate',
    },
    {
      label:'任务状态',
			prop:'taskStatus',
      dicUrl: '/admin/dict/type/task_status',
      props: {
        label: 'label',
        value: 'value'
      }
    },
    {
      label:'积分包名称',
			prop:'scorePackageId',
    },
    {
      label:'所属组织',
			prop:'deptId',
    },
	]
}


export const teamSettlementOption = {
	"align":'center',
	"menuAlign":"center",
	"indexLabel": "序号",
	"index": true,
	"selection": false,
	"border":true,
	"addBtn": false,
	"editBtn":false,
	"delBtn":false,
	"viewBtn":false,
	"menuLeft": true,
	"searchMenuSpan": 5,
	"searchLabelWidth": "50",
	"labelWidth": "130",
	"header": true,
  "selection": true,
  selectable:(row,index)=>{
    return (row.settleStatus == '0' || row.settleStatus == '2') || false
  },
	column:[
		{
			label:'任务类型',
			prop:'taskTypeId',
      dicUrl: '/admin/wmtasktype/list',
      props: {
        label: 'taskTypeName',
        value: 'id'
      },
		},
    {
      label:'任务积分',
			prop:'score',
    },
    {
      label:'姓名',
			prop:'taskUserId',
      search: true
    },
    {
      label:'完成时间',
			prop:'lookintoDate',
    },
    {
      label:'提交时间',
      prop:'subTime'
    },
    {
      label:'下发时间',
      prop:'subToGigTime'
    },
    {
      label:'到账时间',
      prop:'notifyDate'
    },
	]
}
