export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  delBtn:false,
  editBtn:false,
  "column": [
	  {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "select",
      "label": "任务",
      "prop": "taskId",
      span: 13,
    },	  {
      "type": "select",
      "label": "任务所属积分包",
      "prop": "taskPackageId",
      span: 13,
      dicUrl: '/admin/wmscorepackage/list',
      props: {
        label: 'scoreId',
        value: 'id'
      },
      search:true,
      rules: [{
        required: true,
        message: '请选择任务所属积分包',
        trigger: 'blur'
      }],
    },	  {
      "type": "select",
      "label": "医药代表",
      "prop": "userId",
      span: 13,
      dicUrl: '/admin/user/list',
      search: true,
      props: {
        label: 'realname',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '请选择医药代表',
        trigger: 'blur'
      }],

    },	  {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      value:0
    },	  {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      value:0
    },	  {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "创建时间",
      "prop": "createTime",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "更新时间",
      "prop": "updateTime",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    }  ]
}
