export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  "column": [
	  {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },
    {
      "label": "任务大类",
      "prop": "baseTypeId",
      type: 'select',
      dicUrl: '/admin/dict/type/task_type',
      rules: [{
        required: true,
        message: '任务大类',
        trigger: 'blur'
      }],
      search: true
    },
    {
      "type": "select",
      "label": "任务类型",
      "prop": "taskTypeId",
      span: 13,
      dicUrl: '/admin/wmtasktype/list',
      search: true,
      props: {
        label: 'taskTypeName',
        value: 'id'
      },
      rules: [{
        required: true,
        message: '任务类型',
        trigger: 'blur'
      }],
    },
    {
      "type": "input",
      "label": "字段key",
      "prop": "taskFiledKey",
      rules: [{
        required: true,
        message: '请填写字段key',
        trigger: 'blur'
      }],
    },	  {
      "type": "input",
      "label": "字段文本",
      "prop": "taskFiledValue",
      rules: [{
        required: true,
        message: '请输入文本描述',
        trigger: 'blur'
      }],
    },	  {
      "label": "字段类型",
      "prop": "taskFiledType",
      type: 'select',
      dicUrl: '/admin/dict/type/task_filed_type',
      rules: [{
        required: true,
        message: '请选择任务类型',
        trigger: 'blur'
      }],
      search: true
    },	  {
      "type": "input",
      "label": "字典值URL",
      "prop": "dictUrl",
      span: 13,
      hide:true
    }, {
      "type": "input",
      "label": "最小长度",
      "prop": "taskFiledMinsize",
      span: 12,
    },{
      "type": "input",
      "label": "最大长度",
      "prop": "taskFiledMaxsize",
      span: 12,
    },{
      "type": "input",
      "label": "弹框提示",
      "prop": "taskFiledAlert",
      span: 24,
      hide:true
    },	  {
      "type": "input",
      "label": "字典值分组名称",
      "prop": "dictGroupName",
      hide:true
    },	  {
      "label": "是否必填",
      "prop": "isMustfill",
      type: 'select',
      dicUrl: '/admin/dict/type/yes_or_no',
      rules: [{
        required: true,
        message: '请选择是否必填',
        trigger: 'blur'
      }]
    },	  {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "label": "是否删除",
      "prop": "delFlag",
      type: 'select',
      dicUrl: '/admin/dict/type/yes_or_no',
      rules: [{
        required: true,
        message: '请选择是否必填',
        trigger: 'blur'
      }],
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "label": "是否禁用",
      "prop": "enableFlag",
      type: 'select',
      dicUrl: '/admin/dict/type/yes_or_no',
      rules: [{
        required: true,
        message: '请选择是否必填',
        trigger: 'blur'
      }],
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "创建时间",
      "prop": "createTime",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "更新时间",
      "prop": "updateTime",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    }  ]
}
