export const tableOption = {
  "border": true,
  "index": true,
  "indexLabel": "序号",
  "stripe": true,
  "menuAlign": "center",
  "align": "center",
  "searchMenuSpan": 6,
  "column": [
	  {
      "type": "input",
      "label": "",
      "prop": "id",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "select",
      "label": "企业",
      "prop": "drugentId",
      dicUrl: '/admin/wmdadrugent/listScope',
      props: {
        label: 'entname',
        value: 'id'
      },
      span: 13,
      search:true,
      rules: [{
        required: true,
        message: '请选择企业',
        trigger: 'blur'
      }],
      editDisplay: false,
      addDisplay: false

    },	  {
      "label": "规则类型",
      "prop": "ruleTypeId",
      type: 'select',
      dicUrl: '/admin/dict/type/ruleType',
      span: 13,
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "label": "规则月份",
      "prop": "ruleMonth",
      type: 'datetime',
      span: 13,
      format: 'yyyy-MM',
      valueFormat: 'yyyy-MM',
      rules: [{
        required: true,
        message: '请输入结束时间',
        trigger: 'blur'
      }],
      search: true,
    },	  {
      "type": "input",
      "label": "一级代理商ID",
      "prop": "level1Id",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "二级代理商ID",
      "prop": "level2Id",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "组织机构ID",
      "prop": "deptId",
      hide:true,
      editDisplay: false,
      addDisplay: false
    },	  {
      "type": "input",
      "label": "是否删除",
      "prop": "delFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      value:0
    },	  {
      "type": "input",
      "label": "是否禁用",
      "prop": "enableFlag",
      hide:true,
      editDisplay: false,
      addDisplay: false,
      value:0
    },	  {
      "type": "input",
      "label": "所属租户",
      "prop": "tenantId",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "创建时间",
      "prop": "createTime",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "创建人",
      "prop": "createUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "更新时间",
      "prop": "updateTime",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    },	  {
      "type": "input",
      "label": "更新人",
      "prop": "updateUser",
      hide:true,
      editDisplay: false,
      addDisplay: false,
    }  ]
}
