export const tableOption = {
  border: true,
  index: true,
  indexLabel: "序号",
  stripe: true,
  menuAlign: "center",
  align: "center",
  searchMenuSpan: 6,
  editBtn: false,
  delBtn: false,
  column: [
    {
      type: "input",
      label: "",
      prop: "id",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "select",
      label: "区域名称",
      prop: "agentId",
      search: true,
      span: 13,
      dicUrl: "/admin/wmdaagent/getCso",
      props: {
        label: "gsmc",
        value: "id"
      }
    },
    {
      type: "select",
      label: "企业",
      prop: "drugentId",
      dicUrl: "/admin/wmdadrugent/list",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      props: {
        label: "entname",
        value: "id"
      },
      span: 13,
      rules: [
        {
          required: true,
          message: "请选择企业",
          trigger: "blur"
        }
      ]
    },
    {
      type: "input",
      label: "组织机构ID",
      prop: "deptId",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "是否删除",
      prop: "delFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    },
    {
      type: "input",
      label: "是否禁用",
      prop: "enableFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    },
    {
      type: "input",
      label: "所属租户",
      prop: "tenantId",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      label: "创建时间",
      prop: "createTime",
      span: 13,
      type: "datetime",
      format: "yyyy-MM-dd HH:mm:ss",
      valueFormat: "yyyy-MM-dd HH:mm:ss",
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "date",
      label: "创建人",
      prop: "createUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新时间",
      prop: "updateTime",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新人",
      prop: "updateUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    }
  ]
};

export const tableOptions = {
  border: true,
  index: true,
  indexLabel: "序号",
  stripe: true,
  menuAlign: "center",
  align: "center",
  searchMenuSpan: 6,
  editBtn: false,
  addBtn: false,
  delBtn: false,
  column: [
    {
      type: "input",
      label: "",
      prop: "id",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "select",
      label: "区域名称",
      prop: "agentId",
      search: true,
      span: 13,
      dicUrl: "/admin/wmdaagent/getCso",
      props: {
        label: "gsmc",
        value: "id"
      }
    },
    {
      type: "select",
      label: "企业",
      prop: "drugentId",
      dicUrl: "/admin/wmdadrugent/list",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      props: {
        label: "entname",
        value: "id"
      },
      span: 13,
      rules: [
        {
          required: true,
          message: "请选择企业",
          trigger: "blur"
        }
      ]
    },
    {
      type: "input",
      label: "组织机构ID",
      prop: "deptId",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "是否删除",
      prop: "delFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    },
    {
      type: "input",
      label: "是否禁用",
      prop: "enableFlag",
      hide: true,
      editDisplay: false,
      addDisplay: false,
      value: 0
    },
    {
      type: "input",
      label: "所属租户",
      prop: "tenantId",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      label: "创建时间",
      prop: "createTime",
      span: 13,
      type: "datetime",
      format: "yyyy-MM-dd HH:mm:ss",
      valueFormat: "yyyy-MM-dd HH:mm:ss",
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "date",
      label: "创建人",
      prop: "createUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新时间",
      prop: "updateTime",
      hide: true,
      editDisplay: false,
      addDisplay: false
    },
    {
      type: "input",
      label: "更新人",
      prop: "updateUser",
      hide: true,
      editDisplay: false,
      addDisplay: false
    }
  ]
};
