/*
 *    Copyright (c) 2018-2025, gaoyang All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the hn3l.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: gaoyang (gaoyang@gmail.com)
 */

export const tableOption = {
  border: true,
  index: true,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  editBtn: false,
  delBtn: false,
  addBtn: false,
  dic: [],
  column: [
	  {
      label: '',
      prop: 'id'
    },
	  {
      label: '用户名称',
      prop: 'cusName'
    },
	  {
      label: '用户年龄',
      prop: 'cusAge'
    },
	  {
      label: '用户性别',
      prop: 'cusGender'
    },
	  {
      label: '用户电话',
      prop: 'cusTel'
    },
	  {
      label: '用户关系',
      prop: 'userRelation'
    },
	  {
      label: '用户地址',
      prop: 'userAddress'
    },
  ]
}
